2014-07-19  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 1.6

2014-07-19  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Fix dist target, fallout from previous change

2014-07-19  Ville Skyttä <ville.skytta@iki.fi>

	* test.sh, test/SpecCheck.spec, test/SpecCheck2.spec,
	test/SpecCheck3.spec, test/spec/SpecCheck2.spec,
	test/spec/SpecCheck3.spec, test/test.PamCheck.py,
	test/test.SpecCheck.py, test/test.SpecCheck2.py,
	test/test.SpecCheck3.py: Clean up test dir structure

2014-07-19  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, DistributionCheck.py, FilesCheck.py,
	I18NCheck.py, InitScriptCheck.py, MenuCheck.py, SCLCheck.py,
	SpecCheck.py, TagsCheck.py, test/test.PamCheck.py,
	test/test.Pkg.py, test/test.SpecCheck.py, test/test.SpecCheck2.py,
	test/test.SpecCheck3.py, test/test_scl.py: flake8 cleanups

2014-04-30  Ludwig Nussel <ludwig.nussel@suse.de>

	* FilesCheck.py, config: disallow /var/run and /var/lock Distros moved to having /var/run and /var/lock as symlinks to /run
	resp /run/lock. Therefore packages must no longer put files there at
	all.  Also, refactor the code for dir-or-file-in-* and make it
	configurable.

2014-07-14  Ville Skyttä <ville.skytta@iki.fi>

	* SCLCheck.py: SCLCheck: info message fixes

2014-07-14  Ville Skyttä <ville.skytta@iki.fi>

	* SCLCheck.py: SCLCheck: flake8 cleanups

2014-07-14  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL: Note pytest build dependency

2014-07-14  Ville Skyttä <ville.skytta@iki.fi>

	* README: Note SCLCheck in README

2014-06-30  Miro Hrončok <miro@hroncok.cz>

	* SCLCheck.py, test.sh, test/spec/SpecCheck.spec,
	test/spec/nodejs-conflicts-without-prefix.spec,
	test/spec/nodejs-good.spec, test/spec/nodejs-n-noprefix.spec,
	test/spec/nodejs-name-with-noncondition-prefix.spec,
	test/spec/nodejs-name-without-prefix.spec,
	test/spec/nodejs-no-pkg_name.spec, test/spec/nodejs-norequire.spec,
	test/spec/nodejs-provides-without-prefix.spec,
	test/spec/nodejs-setup-no-n.spec, test/spec/nodejs-undeclared.spec,
	test/spec/nodejs010-alien-subpackage-n.spec,
	test/spec/nodejs010-alien-subpackage.spec,
	test/spec/nodejs010-badfiles.spec,
	test/spec/nodejs010-missing-requires.spec,
	test/spec/nodejs010-noarch-good.spec,
	test/spec/nodejs010-noarch-libdir.spec,
	test/spec/nodejs010-nobuild.spec,
	test/spec/nodejs010-noruntime.spec,
	test/spec/nodejs010-nosclinstall.spec,
	test/spec/nodejs010-undeclared.spec, test/spec/nodejs010.spec,
	test/test_scl.py: Add SCLCheck to rpmlint

2014-05-29  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, BinariesCheck.py, Config.py,
	DistributionCheck.py, DocFilesCheck.py, FilesCheck.py, Filter.py,
	I18NCheck.py, InitScriptCheck.py, LSBCheck.py, MenuCheck.py,
	NamingPolicyCheck.py, PamCheck.py, Pkg.py, PostCheck.py,
	SourceCheck.py, SpecCheck.py, TagsCheck.py, ZipCheck.py,
	__isocodes__.py, rpmlint, tools/Testing.py,
	tools/generate-isocodes.py: flake8 cleanups

2014-05-29  Ville Skyttä <ville.skytta@iki.fi>

	* Common.py, PostCheck.py, SpecCheck.py: Move RPM_SCRIPTLETS to
	PostCheck

2014-05-27  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Recognize 3.x kernel modules and ones in
	/usr/lib/modules

2014-05-22  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Fix handling of tags whose values have spaces in
	them (#33) Regression from a88ec0ad6a26c3473dffef83c67b8403762696c6

2014-05-07  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Remove config instructions from non-readable
	description All our checks are subject to suppressiion via config files if
	they're undesirable, there's nothing special about this one. And the
	message's instructions were was outdated, they failed to mention the
	separate config snippet possibility.

2014-04-01  Sascha Peilicke <saschpe@mailbox.org>

	* FilesCheck.py: Set Python-3.4 magic number to 3310 This is the final magic number of the 3.4 release.

2014-03-03  Ville Skyttä <ville.skytta@iki.fi>

	* : commit d6ddb1031458ba48ed5470bf0517a65ea19185dd Author: Miro
	Hrončok <miro@hroncok.cz> Date:   Mon Mar 3 12:46:57 2014 +0100

2014-03-01  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Fix unexpanded macros check with list values (#32,
	thanks to Alberto Planas) Regression from revs 9f71923/cc9aa5d

2014-03-01  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Trivial cleanup

2014-03-01  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Teach b2s() to deal with lists and tuples

2014-02-27  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Further Python 3 porting

2014-02-27  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, TagsCheck.py: Further Python 3 porting

2014-02-27  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Drop dead Python 2.4 compat code

2014-02-27  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, DocFilesCheck.py, FilesCheck.py, INSTALL,
	InitScriptCheck.py, LSBCheck.py, MenuCheck.py, Pkg.py,
	TagsCheck.py, rpmdiff: Further Python 3 porting Thanks to Alberto Planas Dominguez <aplanas@suse.com> for sanity
	checks and suggestions.

2014-02-27  Ville Skyttä <ville.skytta@iki.fi>

	* AppDataCheck.py: s/invalid-appdate/invalid-appdata/

2014-02-27  Ville Skyttä <ville.skytta@iki.fi>

	* AppDataCheck.py: Remove dead code

2014-02-14  Miro Hrončok <miro@hroncok.cz>

	* AbstractCheck.py, BinariesCheck.py, ConfigCheck.py,
	DistributionCheck.py, DocFilesCheck.py, FHSCheck.py, I18NCheck.py,
	InitScriptCheck.py, MenuCheck.py, NamingPolicyCheck.py,
	PostCheck.py, SourceCheck.py, SpecCheck.py, rpmlint: Run all
	check_specs method for all enabled checks, separate check_binary and
	check_source

2014-02-26  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, Pkg.py: Some Python 3 tweaks

2014-02-08  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, BinariesCheck.py, DocFilesCheck.py,
	FilesCheck.py, I18NCheck.py, InitScriptCheck.py, LSBCheck.py,
	MenuCheck.py, MenuXDGCheck.py, Pkg.py, SourceCheck.py, TagsCheck.py: 
	Python 3 compatibility tweaks

2014-02-08  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: rpmdiff: Make work with Python 3

2014-02-08  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff.1: rpmdiff.1: Update list of valid --ignore values

2014-02-08  Arturo Borrero González <arturo.borrero.glez@gmail.com>

	* Makefile, rpmdiff.1: Add rpmdiff man page (#29)

2014-01-10  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: rpmdiff: Fix display of multiple dependency qualifiers

2013-12-23  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Grammar fix.

2013-12-21  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py, test.sh, test/SpecCheck2.spec,
	test/SpecCheck3.spec, test/test.SpecCheck2.py,
	test/test.SpecCheck3.py: Handle %autosetup and %autopatch.

2013-12-21  Ville Skyttä <ville.skytta@iki.fi>

	* test/SpecCheck.spec, test/test.SpecCheck.py: Test for
	setup-not-quiet.

2013-12-21  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, SpecCheck.py: Variable naming tweaks.

2013-12-08  Michael Scherer <misc@zarb.org>

	* BinariesCheck.py: fix detection of function on 32 bits system
	(callq being 64 bits ), found by nirik,
	https://bugzilla.redhat.com/show_bug.cgi?id=1021719#c13

2013-12-01  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Fix unicode decode error with non-ASCII package
	name.  https://bugzilla.redhat.com/show_bug.cgi?id=1036310

2013-12-01  Ville Skyttä <ville.skytta@iki.fi>

	* Config.py: Fix inclusion of AppDataCheck in default checks.

2013-11-09  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Update Python 3.4 bytecode magic value.

2013-11-09  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint: Don't modify sys.argv[0].  https://bugzilla.redhat.com/1026333

2013-11-01  Michael Scherer <misc@zarb.org>

	* INSTALL: also document we need appdata-validate as a optional comp

2013-11-01  Michael Scherer <misc@zarb.org>

	* AppDataCheck.py: make appdata-validate optional

2013-11-01  Michael Scherer <misc@zarb.org>

	* AppDataCheck.py, Config.py: Add a check that validate appdata file

2013-09-12  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, Filter.py, Pkg.py, PostCheck.py, rpmdiff,
	rpmlint: Python 3 compatibility tweaks.

2013-08-25  Michael Scherer <misc@zarb.org>

	* MenuXDGCheck.py: fix traceback found by running rpmlint on all
	package of Fedora   File "./rpmlint", line 168, in main     runChecks(pkg)   File "./rpmlint", line 228, in runChecks     check.check(pkg)   File "/root/rpmlint-code/AbstractCheck.py", line 83, in check     self.check_file(pkg, filename)   File "/root/rpmlint-code/MenuXDGCheck.py", line 57, in check_file     if not found: UnboundLocalError: local variable 'found'
	referenced before assignment

2013-08-06  Ville Skyttä <ville.skytta@iki.fi>

	* MenuXDGCheck.py: Fix data leak from .desktop file to another --
	don't reuse configparsers.

2013-08-06  Dirk Mueller <dmueller@suse.com>

	* MenuXDGCheck.py: Fix small Pep8 Whitespace issue

2013-08-06  Dirk Mueller <dmueller@suse.com>

	* MenuXDGCheck.py: Fix handling of desktop files without Exec key Avoids an "No such option" exception from ConfigParser.

2013-08-02  Ville Skyttä <ville.skytta@iki.fi>

	* MenuXDGCheck.py: Fix handling of Exec= with an absolute path.  https://bugzilla.redhat.com/991278

2013-07-21  Ville Skyttä <ville.skytta@iki.fi>

	* __isocodes__.py: Regenerate ISO codes list with iso-codes 3.44.

2013-07-11  Orion Poplawski <orion@nwra.com>

	* BinariesCheck.py: Fix setgroups error name

2013-05-09  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 1.5.

2013-05-09  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Spelling fixes, wrap long lines.

2013-05-09  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Cleanups.

2013-05-09  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Add Python 3.4 magic number.

2013-04-03  Ville Skyttä <ville.skytta@iki.fi>

	* __isocodes__.py: Regenerate ISO codes list with iso-codes 3.41.

2013-03-16  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Treat Lua bytecode files as binary.  https://bugzilla.redhat.com/919869

2013-02-02  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, rpmdiff: Cleanups.

2013-02-02  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint: Revert "small refactoring" This reverts commit eb981e7f950dbe8db81594220e15482c3b451c4e.  The global config file does imports, sets up stuff etc for user
	config files and /etc/rpmlint/*config snippets to use, and
	execfile()ing the global one in a code block like this doesn't do
	that properly, resulting in for example addFilter() not being
	available for these additional configs.

2013-02-01  Michael Scherer <misc@zarb.org>

	* BinariesCheck.py: add a help text, as suggested by Dan Horák on
	freenode

2013-01-26  Michael Scherer <misc@zarb.org>

	* FilesCheck.py: Private keys should also not be shipped in rpm, for
	the reason explained in the commit.

2013-01-26  Michael Scherer <misc@zarb.org>

	* FilesCheck.py: warn when a pem certificate is found in a package.  after the compromise of various CA in the last years, it would be
	better to not have X copy of the CA certificate in each package.  Not to mention the issue of having some packages shipping a default
	private key with the certificate for a perfect out of box
	experience, that could lead to security issue. So the check look for
	certificate, but verify that the file is not not marked as %ghost ).  idea from kiilerix on irc

2013-01-19  Michael Scherer <misc@zarb.org>

	* rpmlint: small refactoring

2013-01-19  Michael Scherer <misc@zarb.org>

	* FilesCheck.py: use a more specific exception ( as this could mask
	others issues )

2013-01-18  Michael Scherer <misc@zarb.org>

	* MenuXDGCheck.py: add desktopfile-without-binary warning, to check
	if the file point to a existing binary ( idea originally from Ed
	Santiago )

2013-01-18  Michael Scherer <misc@zarb.org>

	* FilesCheck.py: refactor a serie of if/elif into a single loop

2013-01-18  Michael Scherer <misc@zarb.org>

	* FilesCheck.py: shorten the regexp for /tmp directory

2013-01-18  Michael Scherer <misc@zarb.org>

	* SpecCheck.py: check that the packager didn't get sloppy by using
	_default_patch_fuzz, idea originally from Ed Santiago

2013-01-18  Michael Scherer <misc@zarb.org>

	* SpecCheck.py: refactor the regexp code for define and global (
	easier to read, less risk of errrors )

2013-01-17  Michael Scherer <misc@zarb.org>

	* Common.py, PostCheck.py, SpecCheck.py: start to refactor various
	copy of tag ( since %verifyscript was missing in SpecCheck.py )

2013-01-17  Michael Scherer <misc@zarb.org>

	* SpecCheck.py: refactor regexp used for the tag matching

2013-01-17  Michael Scherer <misc@zarb.org>

	* FHSCheck.py: removed /usr/spool and /usr/X386, reorder /var
	subdir, removed /var/state, added /var/mail, to sync with latest FHS

2013-01-17  Michael Scherer <misc@zarb.org>

	* PostCheck.py: small refactoring ( could go further )

2013-01-15  Michael Scherer <misc@zarb.org>

	* FilesCheck.py: add /run, kinda standard nowadays

2013-01-15  Michael Scherer <misc@zarb.org>

	* BinariesCheck.py: refactor the code of regexp into a common
	function, easier to maintain and to read

2013-01-13  Michael Scherer <misc@zarb.org>

	* BinariesCheck.py: add a check against insecure usage of mktemp
	function Since the function is insecure on some platform, and suffer from a
	race condition on every platform, it should not be used ( as
	explained in the manpage ). The function was also removed from
	POSIX.1-2008, according to the manpage too, and call should better
	be replaced by mkstemp.

2013-01-13  Michael Scherer <misc@zarb.org>

	* BinariesCheck.py: removed the regexp in a attempt to speed up the
	test Unfortunately, this didn't changed much but 1s is still a small win.

2013-01-13  Michael Scherer <misc@zarb.org>

	* BinariesCheck.py: check that the chdir call is nor chroot ( ie 2
	functions call near ).  yet the function is quite slow, and should be done without the
	regexp, since this slow down a lot for a big binary.

2013-01-13  Michael Scherer <misc@zarb.org>

	* BinariesCheck.py: add a first preliminary port of
	http://people.redhat.com/sgrubb/security/find-chroot for now, it just check if chdir and chroot are present in compiled
	software, and the next commit should verify that the call to chdir
	is near the one to chroot.

2013-01-12  Michael Scherer <misc@zarb.org>

	* BinariesCheck.py: Add a check stolen from steve grubb security
	page, to detect if a binary use setuid and setgid without reseting
	supplementary group using initgroups, or setgroups. Binaries who do
	this should be fixed, as this could be used for privilege escalation
	( for example, by using 'adm' or 'wheel' group ).

2012-12-21  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Link to Python files containing the list of magic
	values.

2012-11-05  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL: Note groff dependency.

2012-09-24  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Treat RDoc RI files as binary.  Based on patch by Josef Strzibny
	<strzibny@dhcp-25-242.brq.redhat.com>,
	http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/569

2012-08-23  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py: Tighten macro regexp to min 3 chars, starting
	with a letter or underscore.  Based on patch by Josef Strzibny
	<strzibny@dhcp-25-242.brq.redhat.com>,
	http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/569

2012-07-13  Ville Skyttä <ville.skytta@iki.fi>

	* __isocodes__.py: Regenerate ISO codes list with iso-codes 3.37.

2012-07-11  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Avoid some spurious spurious-bracket-in-* messages.

2012-06-14  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Check man pages in man/overrides.

2012-06-14  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Update Python 3.3 magic number.

2012-06-06  Ville Skyttä <ville.skytta@iki.fi>

	* __isocodes__.py: Regenerate ISO codes list with iso-codes 3.35.

2012-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* README: Update home page.

2012-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Remove obsolete targets.

2012-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, BinariesCheck.py, Config.py, ConfigCheck.py,
	DistributionCheck.py, FHSCheck.py, FilesCheck.py, Filter.py,
	I18NCheck.py, InitScriptCheck.py, LSBCheck.py, Makefile,
	MenuCheck.py, MenuXDGCheck.py, NamingPolicyCheck.py, PamCheck.py,
	Pkg.py, PostCheck.py, RpmFileCheck.py, SignatureCheck.py,
	SourceCheck.py, SpecCheck.py, TagsCheck.py, ZipCheck.py, rpmlint: 
	Remove no longer updated CVS keywords.

2012-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* .gitignore, AUTHORS, Makefile, authors.xml, authors.xsl: AUTHORS
	is no longer generated.

2012-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: svn2cl -> git2cl.

2012-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* README.devel: Update checkout instructions.

2012-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* .gitignore: Tell git to ignore generated files.

2012-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Spelling fix.

2012-02-11  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Avoid traceback on files we get from spec objects
	but not rpm headers.  https://bugzilla.redhat.com/789270 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1900
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2012-01-24  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py: Fix traceback when outputting non-unicode strings to
	non-TTY (#308, Toshio Kuratomi).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1899
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2012-01-19  Ville Skyttä <ville.skytta@iki.fi>

	* __isocodes__.py, tools/generate-isocodes.py: Add ISO 639-2
	3-letter terminology codes for langs without 639-1 2-letter code.  https://bugzilla.redhat.com/782818 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1898
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-12-17  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Warn about svgz icons installed in scalable icon
	dirs.  Not all DE's that support SVG support gzipped SVG (such as GNOME),
	and the XDG icon theme specification does not mention svgz at all.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1897
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-12-04  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 1.4.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1895
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-11-24  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Add Python 3.3 magic number.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1894
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-11-23  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, InitScriptCheck.py: Get rid of some unnecessary
	regexps.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1893
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-11-23  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, DocFilesCheck.py, Pkg.py, SpecCheck.py,
	TagsCheck.py: pylint warning cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1892
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-11-23  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py: Fix indentation.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1891
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-11-12  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Don't assume rpm changelog timestamps are always at
	noon (#246, thanks to Paul Howarth).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1890
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-11-06  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Hush when trying to load
	_rpm_installed_packages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1889
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-11-04  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile, rpmlint.bash-completion: Adjust bash completion for
	bash-completion >= 1.90's dynamic loading.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1888
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-11-04  Ville Skyttä <ville.skytta@iki.fi>

	* __isocodes__.py: Regenerate ISO codes list with iso-codes 3.29.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1887
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-10-12  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Skip more checks/commands on files that cannot be
	read.  https://bugzilla.redhat.com/show_bug.cgi?id=745446 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1886
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-09-13  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, InitScriptCheck.py, MenuCheck.py, Pkg.py,
	PostCheck.py: Prepare for rpm-python possibly returning script progs
	as arrays.  http://rpm.org/ticket/847#comment:2 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1885
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-09-13  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Code cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1884
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-09-13  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: Force plain ASCII quotes in man page examples.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1883
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-09-12  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: refactor the noarch check into the previous commit (
	one less regexp ) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1882
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-09-12  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: merge patch from #97, using BuildArch with something
	else than Noarch is likely a error and causing issues.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1881
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-09-08  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Warn about one line scriptlet commands only if the
	interpreter is a shell.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1880
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-08-17  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Don't emit use-tmp-in-* for commented out /tmp in
	scriptlets.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1879
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-07-26  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Comment spelling fix.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1878
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-07-26  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Teach rpmdiff about pretrans and posttrans.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1877
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-07-20  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Drop some throwaway code for packages with <>
	1 init script.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1876
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-07-20  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Add special init script naming treatment for
	for *-sysvinit subpackages.  https://bugzilla.redhat.com/723460 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1875
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-07-07  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 1.3.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1873
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-07-07  Ville Skyttä <ville.skytta@iki.fi>

	* DocFilesCheck.py: Warn about INSTALL files included in docs.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1872
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-06-18  Ville Skyttä <ville.skytta@iki.fi>

	* Config.py, Filter.py: Drop unnecessary global statements.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1871
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-06-18  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py, rpmlint, rpmlint.1, rpmlint.bash-completion: Add
	--rawout option (Ludwig Nussel).  Allows to specify a file that gets the unfiltered result. Useful to
	not bother the developer with unimportant stuff but still retain a
	way for distro maintainers to evaluate all results.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1870
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-06-18  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL: Clarify that python 3 is not yet supported.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1869
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-06-10  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py, config: Add UseVarLockSubsys option for
	forbidding use of /var/lock/subsys (Ludwig Nussel).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1868
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-05-31  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py, test/SpecCheck.spec, test/test.SpecCheck.py: 
	Recognize patches applied via some common pipe usages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1867
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-05-31  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Add info message for non-empty-*.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1866
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-05-15  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, config: Check for position independent
	executables (based on patch by Ludwig Nussel).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1865
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-05-15  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Do executable checks for PIEs too.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1864
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-05-13  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Warn about non-ghost files in /var/run and
	/var/lock (based on patch from Ludwig Nussel).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1863
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-05-11  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py: Fix setting message type for reasons with badness
	threshold defined (Ludwig Nussel).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1862
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-24  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Use "declare -F" instead of "type" to
	check if a bash function exists.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1861
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-22  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 1.2.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1859
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-22  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Avoid completing on installed packages
	for some more cases that look like paths.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1858
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-22  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Add *.spm to completed file extensions.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1857
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-22  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Add -I/--explain argument completion.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1856
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-22  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint, rpmlint.1: Allow -I/--explain to be specified multiple
	times.  Specifying comma separated message ids is deprecated but still
	supported for now for backwards compatibility.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1855
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-22  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint, rpmlint.1, rpmlint.bash-completion: Add --explain as
	alias for -I.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1854
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-22  Ville Skyttä <ville.skytta@iki.fi>

	* __isocodes__.py: Regenerate ISO codes list with iso-codes 3.25.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1853
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-22  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Downgrade files-attr-not-set to a warning, improve
	its description.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1852
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-14  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Run c++filt only once for all undefined non-weak
	symbols in a file.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1851
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-14  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Run undefined non-weak symbol names through
	c++filt (Richard Shaw).  https://bugzilla.redhat.com/show_bug.cgi?id=696749 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1850
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-06  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Dereference symlinks for python bytecode mtime
	check.  https://bugzilla.redhat.com/694090 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1849
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-06  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Sort imports.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1848
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-06  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Add Pkg.readfile() for dereferencing PkgFile symlinks.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1847
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-04-06  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Update FSF address.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1846
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-03-10  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py: Don't overwrite already existing details (Ludwig
	Nussel).  This allows the distro config to provide alternative descriptions
	and distro specific explanations without having to patch checks.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1845
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-03-07  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL, Pkg.py: Implement is_utf8() without iconv.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1844
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-03-07  Ville Skyttä <ville.skytta@iki.fi>

	* test/test.Pkg.py: Remove unused import.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1843
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-03-06  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Check outdated or misspelled FSF addresses in text
	files.  https://bugzilla.redhat.com/637712 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1842
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-03-05  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, config: Make man warning category configurable.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1841
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-03-05  Ville Skyttä <ville.skytta@iki.fi>

	* config: Spelling fix.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1840
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-02-13  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, FilesCheck.py, Makefile, Pkg.py, rpmdiff,
	rpmlint, test.sh: Delete trailing whitespace.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1839
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-02-13  Ville Skyttä <ville.skytta@iki.fi>

	* __isocodes__.py: Regenerate ISO codes list with isocodes 3.20.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1838
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-02-13  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Don't try to do python bytecode checks for
	unreadable files (#201).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1837
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-02-06  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Don't try to check Content-Length and Content-MD5
	for invalid source URLs.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1836
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-02-05  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Check for private shared object provides in both lib
	and lib64 subdirs.  https://bugzilla.redhat.com/675360 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1835
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-01-25  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 1.1.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1833
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-01-25  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Don't crash if a file cannot be opened when trying
	to peek into it.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1832
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-01-24  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Update expected Python 3.2 bytecode magic value to
	3180.  https://bugzilla.redhat.com/672352 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1831
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-01-24  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Improve no-description-tag info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1830
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-01-24  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Improve changelog related info messages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1829
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-01-24  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Treat 'Unspecified' as a valid Group the same way as
	'Development/Debug'.  rpmbuild >= 4.6.0 adds it automatically if not specified in
	specfiles.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1828
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-01-24  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Add future and overflow checks for changelog
	timestamps.
	http://lists.fedoraproject.org/pipermail/buildsys/2010-July/003174.htmlgit-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1827
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2011-01-14  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: stringToVersion cleanups, ignore dash before colon as
	version/release separator.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1826
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-12-15  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Don't emit spurious executable perm warnings for
	docs with shebangs.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1825
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-12-15  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Don't read "head" of files for in each test that
	needs to peek into them.  Do it only once instead.  istextfile() is now called peek().  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1824
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-12-11  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Check source and patch file sizes and MD5 hashes
	against Content-Length and Content-MD5 from their URLs.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1823
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-12-11  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py: Return urllib info() from check_url() if
	available.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1822
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-12-08  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint: Be smarter when deciding whether arguments are rpm files
	or installed packages.  Arguments that are existing files (not directories) but do not
	contain slashes and do not end with .rpm, .spm or .spec are now
	treated as installed packages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1821
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-12-07  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint: Make rpmlint executable again.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1820
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-12-07  Ville Skyttä <ville.skytta@iki.fi>

	* README.devel, rpmlint, rpmlint.py, test.sh: Get rid of shell
	script wrapper to make prefixed executables easier to set up.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1819
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-12-07  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: Improve --checkdir documentation.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1818
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-12-02  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Use xz to compress tarball.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1817
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-11-27  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Fix traceback when stringifying epoch-only versions (Roman
	Rakus).  https://bugzilla.redhat.com/657593 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1816
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-11-19  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Fix TypeError when outputting
	incoherent-version-dependency-on messages (#192).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1815
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-11-19  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py: Allow info messages even if badness scoring is used
	(Ludwig Nussel).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1814
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-11-04  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Make file capabilities available in PkgFile (rpm >= 4.7.0,
	Ludwig Nussel).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1813
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-11-01  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 1.0.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1811
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-10-25  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Add note about file capabilities to setuid-binary
	info message.  https://bugzilla.redhat.com/646455 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1810
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-10-06  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Turn some comments into docstrings.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1809
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-10-06  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Add support for PEP 3147 dirs when finding Python
	sources (David Malcolm).  https://bugzilla.redhat.com/637956 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1808
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-10-04  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Offer only long rpmdiff completion
	options.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1807
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-10-04  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Add basic -c/--check completion.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1806
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-10-04  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: Document format of values for --check.  https://bugzilla.redhat.com/639823 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1805
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-08-19  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 0.99.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1803
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-08-19  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Drop duplicate -mandoc arg to groff.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1802
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-08-19  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Add Python 3.2 magic number handling.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1801
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-08-19  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Add Python 2.7 magic number
	(https://bugzilla.redhat.com/623607, Nils Philippsen) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1800
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-07-12  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1, rpmlint.py: Choose built in config based on prefix used
	when invoked (Tom Callaway).  https://bugzilla.redhat.com/show_bug.cgi?id=537430#c8 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1799
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-23  Ville Skyttä <ville.skytta@iki.fi>

	* I18NCheck.py: Use rpm.RPMTAG_HEADERI18NTABLE instead of assuming
	it's 100.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1798
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-23  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 0.98.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1796
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-20  Ville Skyttä <ville.skytta@iki.fi>

	* I18NCheck.py, Makefile, __isocodes__.py,
	tools/generate-isocodes.py: Extend list of valid language country
	codes from the iso-codes project.  http://alioth.debian.org/projects/pkg-isocodes/
	https://bugzilla.redhat.com/show_bug.cgi?id=599516 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1795
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, test/test.Pkg.py: Fix self-obsoletion bug with Provides
	containing Epoch.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1794
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Don't stringify None Epoch to 'None' string in
	compareEVR().  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1793
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Sync rangeCompare() with yum 3.2.27.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1792
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-04  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Reduce some spell check noise.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1791
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-04  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint: Fix handling of arguments containing spaces.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1790
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-03  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Revert accidental bit in previous commit.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1789
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-03  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Try to avoid messages about ./configure in comments.  https://bugzilla.redhat.com/599427 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1788
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-02  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Simplify code, remove misleading comment.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1787
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-06-02  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Suppress spell check errors for words containing
	digits.  This is a workaround for enchant's digit tokenizing behavior:
	http://github.com/rfk/pyenchant/issues/issue/3 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1786
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-05-19  Ville Skyttä <ville.skytta@iki.fi>

	* DocFilesCheck.py: Bypass doc file check earlier if package has no
	doc files.  As a side effect, works around https://bugzilla.redhat.com/593553
	with rpm 4.8.0 and gpg-pubkeys.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1785
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-05-18  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 0.97.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1783
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-05-18  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Do man page warning check only in UTF-8 mode for
	now.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1782
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-05-18  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py, test/SpecCheck.spec: Avoid some false
	macro-in-comment positives.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1781
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-05-17  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Add manual page warning check,
	https://bugzilla.redhat.com/589432 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1780
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-05-17  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Split "cat" command into catcmd().  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1779
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-27  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Output no-ldconfig-symlink only for files
	starting with "lib" or "ld-".  ldconfig (as of glibc 2.11.90) itself handles only files starting
	with these prefixes.  https://bugzilla.redhat.com/459452 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1778
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-26  Ville Skyttä <ville.skytta@iki.fi>

	* test/test.PamCheck.py: Clean up after ourselves.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1777
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-21  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 0.96.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1775
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-20  Ville Skyttä <ville.skytta@iki.fi>

	* ConfigCheck.py: Get rid of app-defaults-must-not-be-conffile
	check, it's covered by non-etc-or-var-file-marked-as-conffile.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1774
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-20  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, ConfigCheck.py: Replace some trivial regexps
	with string matches.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1773
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-20  Ville Skyttä <ville.skytta@iki.fi>

	* ConfigCheck.py: Get rid of file-in-usr-marked-as-conffile check,
	it's covered by non-etc-or-var-file-marked-as-conffile.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1772
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-16  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Warn about shared object provides in private dirs,
	https://bugzilla.redhat.com/487974 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1771
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-16  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Record file provides.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1770
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-16  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Fix check_versioned_dep().  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1769
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-16  Ville Skyttä <ville.skytta@iki.fi>

	* test/test.DocFilesCheck.py: Remove obsolete test case.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1768
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-16  Ville Skyttä <ville.skytta@iki.fi>

	* DocFilesCheck.py, Pkg.py: Rename pkgfile.deps to .requires, parse
	it to (name, flags, (e, v, r)).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1767
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-16  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, SpecCheck.py, test/SpecCheck.spec, test/test.Pkg.py,
	test/test.SpecCheck.py: Move dep token parsing to Pkg, add some
	tests.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1766
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-15  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Drop no longer used epoch_regex.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1765
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-15  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, TagsCheck.py: Store dependencies, provides etc as (name,
	flags, (epoch, version, release)) internally.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1764
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-15  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: More improvements to dependency formatting in
	messages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1763
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-15  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Improve no-epoch-in-* message formatting.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1762
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-15  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Check for unexpanded macros in
	requires/provides/obsoletes/conflicts names in addition to versions.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1761
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-01  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Drop dead code.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1760
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-04-01  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Do not use unnecessary getopt backwards compatibility
	things.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1759
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-31  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Simplify some regexps.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1758
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-31  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Make ifarch etc regexps stricter.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1757
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-31  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Anchor BuildRoot regex at start of line (Mads
	Kiilerich).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1756
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-31  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Don't check for buildroot usage in comments
	(http://bugzilla.redhat.com/578390) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1755
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-30  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, InitScriptCheck.py, MenuCheck.py, PostCheck.py,
	SourceCheck.py, SpecCheck.py, TagsCheck.py: Code cleanups, avoid
	deeply nested blocks etc.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1754
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, test/test.PamCheck.py: Clean up unused variables
	and imports.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1753
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Code cleanups, avoid deeply nested blocks etc.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1752
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Simplify code.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1751
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Move setuid/setgid bit check to same block with
	rest of normal file checks.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1750
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Fix bad reuse of "pkgfile" var.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1749
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Don't bother checking match iterator boolean values.  Fixes installed package globbing with rpm 4.8:
	http://rpm.org/ticket/153 No need to raise KeyError for no matches
	at this level either.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1748
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Check that executables in standard binary dirs have
	man pages (https://bugzilla.redhat.com/572090, based on patch by
	Radek Novacek).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1747
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Move text file checks to the block of other normal
	file checks.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1746
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-18  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Check for same named executables in standard bin
	dirs (https://bugzilla.redhat.com/572097, based on patch from Radek
	Novacek).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1745
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-18  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Treat /usr/games as a "bin" dir.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1744
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-15  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Add dictionary install tip in
	enchant-dictionary-not-found info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1743
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-14  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Report all occurrences of egrep/fgrep on a line.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1742
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-14  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Check for uses of deprecated egrep and fgrep
	(https://bugzilla.redhat.com/571386).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1741
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-14  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Recognize scriptlet section markers.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1740
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-10  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py, test/SpecCheck.spec, test/test.SpecCheck.py: Test
	for macros in shell comments (#162,
	https://bugzilla.redhat.com/571375) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1739
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-06  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Fix non-coherent-filename for source packages
	(regression in r1729).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1738
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-03  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 0.95.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1736
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-03-03  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py: Skip ghost files in files checks,
	https://bugzilla.redhat.com/570086 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1735
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-02-23  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py: Work around Python's ASCII non-TTY stdout and our
	non-ASCII output.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1734
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-02-23  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Omit spell check warnings for capitalized words that
	do not start a sentence.  https://bugzilla.redhat.com/567285 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1733
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-02-21  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, Config.py, DistributionCheck.py, FilesCheck.py,
	I18NCheck.py, InitScriptCheck.py, MenuCheck.py, MenuXDGCheck.py,
	NamingPolicyCheck.py, PamCheck.py, Pkg.py, PostCheck.py,
	RpmFileCheck.py, SignatureCheck.py, SpecCheck.py, TagsCheck.py,
	ZipCheck.py: Wrap bunch of long lines, tune comments and info
	messages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1732
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-02-21  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL: Require rpm-python >= 4.4.2.2 for expandMacro() in r1729.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1731
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-02-09  Michael Scherer <misc@mandriva.org>

	* AbstractCheck.py: do not execute check if the network test are
	marked as disabled, and simplify the logic git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1730
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-02-09  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py: - do not expand the format of the filename format, (patch from Per
	Oyvind Karlsten ) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1729
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-31  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 0.94.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1728
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-31  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Output the latter occurrence of spaces/tabs as
	mixed-use-of-spaces-and-tabs' context line number.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1727
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-31  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Sync opensource.org list of licenses with upstream
	(fixes #58).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1726
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-31  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py, rpmlint.1, rpmlint.py: Add ability to read spec file
	content from stdin (#63).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1725
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-31  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Do not try to pass non-file spec content to rpm for
	parsing.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1724
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-31  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Fix unexpanded macros check with non-string tag
	values.  https://admin.fedoraproject.org/updates/F12/FEDORA-2010-1105 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1723
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-27  Ville Skyttä <ville.skytta@iki.fi>

	* config: Improve accuracy of config value type documentation.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1722
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-27  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: LSB user/group status comment update.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1721
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-25  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Fix iterating spec sources with rpm >= 4.8.0.  http://rpm.org/wiki/Releases/4.8.0#Specclass git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1720
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-25  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 0.93.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1718
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-25  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Treat all failures opening the (installed) 'rpm' package
	for finding default groups as non-fatal.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1717
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-25  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Load default valid groups only if ValidGroups is not
	set (or is None).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1716
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-25  Ville Skyttä <ville.skytta@iki.fi>

	* README, config, rpmlint.1: Move list of available config options
	to "config", improve documentation.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1715
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Ignore filenames contained in package when spell
	checking.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1714
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py: Use our own User-Agent in urllib2 requests.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1713
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Fix install target when no *.pyc are generated.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1712
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* Config.py, Makefile, rpmlint.py: Move version number to
	__version__.py, make it available as Config.__version__.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1711
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Include Enchant suggestions in spelling-error
	output.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1710
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py: Try harder to get something to print about
	inaccessible URLs.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1709
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* MenuXDGCheck.py: Include errors from desktop-file-validate in
	output (#85).  Based on patch from dmueller at suse.de.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1708
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* DistributionCheck.py, README, SourceCheck.py, config, rpmlint.1: 
	Add arbitrary manpage/infopage/source compression support (#142).  Based on patch from pkarlsen at mandriva.com.  The UseBzip2, UseLzma, and UseXz config options have been replaced
	by the new CompressExtension option (which takes a filename
	extension without the leading dot), the *page-not-compressed-with-*
	message ids have been replaced by *page-not-compressed, and the
	source-or-patch-not-*zipped message ids have been replaced by
	source-or-patch-not-compressed.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1707
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py: Do HTTP redirects with HEAD too, urllib2 appears
	to reset them to GET.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1706
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py, TagsCheck.py: Python 2.4 compatibility fixes.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1705
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, SpecCheck.py, TagsCheck.py, ZipCheck.py: Avoid
	embedding anything other than reason in reason id for -i to work.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1704
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Demand only tarball sources to be URLs (#170).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1703
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Check that SourceX are URLs (#170).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1702
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, README, SpecCheck.py, TagsCheck.py: Check that
	*URL, SourceX and PatchX are not broken links (#165).  The new config option NetworkEnabled needs to be True for this check
	to happen (default is False).  See also the new NetworkTimeout
	option.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1701
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Require at least one dot in URL net locations.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1700
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, rpmlint.py: Pass verbosity flag to check
	classes.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1699
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-19  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, README: Add svg to default SkipDocsRegexp.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1698
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-19  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, TagsCheck.py: Check for unexpanded macros in many
	more tags.  Various misspelled-macro, percent-in-*, and macro-in-* messages are
	now reported as unexpanded-macro, and their formatting has been
	improved.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1697
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-19  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, FilesCheck.py, SpecCheck.py: Report all
	unexpanded macros in files and changelogs, not just first of line.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1696
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-19  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Rename spelling-error-in-* to spelling-error,
	improve formatting.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1695
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-19  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Check DistURL and BugURL validity.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1694
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-19  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Check URLs using urlparse, remove Mandrake reference
	from info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1693
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-16  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Recognize BugURL tag.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1692
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-09  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Do not suppress bunch of filename checks for files
	in "bad" dirs.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1691
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2010-01-09  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Make backup file check look for patch backup files.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1690
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-12-02  Michael Scherer <misc@mandriva.org>

	* rpmlint.py: - make -I work again when using addCheckDir, spotted by incubusss git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1689
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-11-25  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Fix default groups lookup when the rpm package is not
	installed.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1688
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-11-05  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, README, config: Add check for version magic in
	byte-compiled Python files (David Malcolm, modified by yours truly).

	https://www.zarb.org/pipermail/rpmlint-discuss/2009-November/000787.htmlgit-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1687
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-11-05  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py, Pkg.py, SignatureCheck.py, rpmdiff, rpmlint.py: Use
	alternative Python 2/3 'print' compatibility hack; drop rlprint,
	rename rlwarn to warn.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1686
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-11-05  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Drop unused safe_normpath import.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1685
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-11-05  Ville Skyttä <ville.skytta@iki.fi>

	* SignatureCheck.py: Fix signature check with rpm versions that
	output e.g. '(MD5) ' at start of unknown key name.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1684
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-11-05  Ville Skyttä <ville.skytta@iki.fi>

	* SignatureCheck.py: Include more info in 'Error checking signature'
	output.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1683
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-11-02  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: 0.92.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1681
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-11-02  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Add --reparagraph to svn2cl options.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1680
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-11-02  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile, tools/compile.py: Add option to generate *.pyc too, use
	py_compile directly instead of a script of our own, remove "print"
	check from the all target.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1679
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-11-02  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Warn only once per misspelled word per tag.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1678
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-11-02  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Avoid unnecessary try-except in BAD_WORDS lookup.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1677
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Trivial code cleanup, works around pychecker bug.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1676
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, DistributionCheck.py, FilesCheck.py,
	InitScriptCheck.py, MenuCheck.py, PostCheck.py, SpecCheck.py: 
	Replace bunch of trivial regexps with simple string searches.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1675
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Output differing python mtimes as formatted
	datetimes.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1674
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Cache and reuse instantiated enchant checkers.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1673
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Don't flag package name 'components' as spelling
	errors with enchant.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1672
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-27  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Make python regex match /usr/lib64 too.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1671
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-27  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Add check for python byte compiled/source mtime
	checks (David Malcolm).

	https://www.zarb.org/pipermail/rpmlint-discuss/2009-October/000775.htmlgit-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1670
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-27  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Avoid import loop introduced in previous change.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1669
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-27  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py, Pkg.py, SignatureCheck.py, rpmdiff, rpmlint.py: 
	Introduce Pkg.rlprint and Pkg.rlwarn print-like functions, use them
	instead of direct writes to sys.std{out,err} (#181).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1668
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-18  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Python 3 compatibility tweaks.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1667
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-18  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Output usage errors to stderr.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1666
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-16  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py: Sort diagnostics using key instead of cmp.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1665
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-13  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Don't output an empty line if no differences are found,
	https://bugzilla.redhat.com/528535 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1664
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-13  Ville Skyttä <ville.skytta@iki.fi>

	* README, TagsCheck.py: Add UseEnchant config option.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1663
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-08  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Fix all Provides/Obsoletes/Conflicts being marked as
	Requires.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1662
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-02  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Quote one more $cur for "compgen -W" to
	avoid globbing.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1661
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-02  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Reindent.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1660
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-02  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Quote $cur for "compgen -W" to avoid
	globbing.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1659
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-02  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1, rpmlint.bash-completion, rpmlint.py: Add -o/--option
	option for overriding config options.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1658
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-02  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Don't offer short option completions
	where long ones exist.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1657
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-02  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Add (non)completion of -I and -c/--check
	arguments.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1656
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-02  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1655
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-02  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Remove no longer existing -p/--profile
	option completion.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1654
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-02  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Option processing and documentation
	cleanups/improvements.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1653
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-10-01  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Clean up help message printing.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1652
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-09-23  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Yell only once per missing enchant dictionary.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1651
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-09-23  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL: Note enchant dependency.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1650
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-09-23  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, TagsCheck.py: Add summary and description spell checking
	using enchant (#166, most of the work by Debarshi Ray).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1649
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-09-13  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: 0.91 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1647
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-09-08  Ville Skyttä <ville.skytta@iki.fi>

	* README, rpmlint.1, rpmlint.py: Honor $XDG_CONFIG_HOME when finding
	default user config file.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1646
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-09-06  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, Config.py, PostCheck.py, SpecCheck.py,
	TagsCheck.py: Code cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1645
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-09-02  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Report character index where nbsp was found.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1644
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-09-02  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Don't treat '[' without a following ']' and something in
	between as a glob in getInstalledPkgs().  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1643
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-31  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Process installed packages matched by a wildcard in
	locale's alphabetic order.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1642
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-30  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Try to identify and bypass magic info originating from
	inside compressed files for now, https://bugzilla.redhat.com/519694 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1641
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-20  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Include test suite files in dist tarballs.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1640
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-20  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Rename test target to check per GNU conventions.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1639
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-20  Ville Skyttä <ville.skytta@iki.fi>

	* test.sh: Really make it executable.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1638
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-20  Ville Skyttä <ville.skytta@iki.fi>

	* test.sh: Make executable, trivial cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1637
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-19  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL: Note gzip, bzip2 and xz dependencies.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1636
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-19  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Decompress lzma files with xz in is_utf8.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1635
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-19  Ville Skyttä <ville.skytta@iki.fi>

	* README.devel: Remove flepied's email address, no need to bother
	him with rpmlint development nowadays.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1634
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-19  Ville Skyttä <ville.skytta@iki.fi>

	* README.devel: Note that the run examples apply to unpacked
	tarballs too.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1633
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-17  Ville Skyttä <ville.skytta@iki.fi>

	* README, TagsCheck.py: Make max line length configurable (config
	option MaxLineLength, default still 79).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1632
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-12  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Don't rely on bash_completion setting
	$filenames, just use -o filenames instead.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1631
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-10  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Print friendlier error message than a traceback when
	loading a package fails, https://bugzilla.redhat.com/516492 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1630
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-03  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Downgrade no-buildroot-tag and
	no-cleaning-of-buildroot to warnings; they are not needed in some
	rpm configurations/versions, https://bugzilla.redhat.com/515185 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1629
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-08-03  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Improve rpm-buildroot-usage info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1628
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-28  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Simplify bash completion code a bit.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1627
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-26  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, TagsCheck.py: Match "foo%_isa" when checking base package
	dependencies on foo, https://bugzilla.redhat.com/513811 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1626
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-22  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Do -a/--all though globbing.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1625
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-22  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Cleanups, NFC.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1624
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-21  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Fix crash if subsys name in an init script
	ends up being empty.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1623
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-21  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, FilesCheck.py, SpecCheck.py, TagsCheck.py: 
	Output complete found macro candidate in misspelled macro related
	messages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1622
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-21  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Check for unexpanded macros in summary, description,
	group, buildhost, and license.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1621
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-21  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Further improve misspelled-macro info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1620
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-21  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, FilesCheck.py, SpecCheck.py: Move regex that
	matches macros to AbstractCheck, use it, improve misspelled-macro
	info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1619
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-21  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: s/mispell/misspell/ :þ git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1618
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-15  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: Rephrase CAVEATS more.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1617
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-07-15  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: Rephrase CAVEATS a bit.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1616
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-29  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: 0.90.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1614
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-29  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Add missing magic coding comment
	(https://bugzilla.redhat.com/508683, Michal Nowak).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1613
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: 0.89 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1611
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Fix incorrect info in self-obsoletion message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1610
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Output interpreter in non-executable-script
	warning, remove quotes from wrong-script-interpreter one.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1608
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Remove stale comments.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1607
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Code cleanup, NFC.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1606
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: improve percent-in-* message details.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1605
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Remove obsolete-on-name check (superseded by
	self-obsoletion).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1604
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Add check for self-obsoletion cases,
	https://bugzilla.redhat.com/461610 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1603
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Borrow various utilities from yum's rpmUtils.miscutils.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1602
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile, rpmUtils/miscutils.py, rpmUtils/transaction.py: Revert
	previous commit.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1601
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile, rpmUtils/miscutils.py, rpmUtils/transaction.py: Borrow
	rpmUtils/{miscutils,transaction}.py from yum.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1600
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Improve dependency formatting.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1599
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Take Epoch into account in self-provides filtering.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1598
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Improve legacy prereq tracking with new rpm versions.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1597
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-18  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Add enough space padding to output.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1596
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-17  Ville Skyttä <ville.skytta@iki.fi>

	* DistributionCheck.py, FilesCheck.py, Pkg.py, README: Add xz
	support, improve *page-not-compressed-with-* info messages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1595
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-17  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Avoid a couple of unnecesary regex matches.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1594
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-16  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, Config.py, DistributionCheck.py, FilesCheck.py,
	Filter.py, InitScriptCheck.py, MenuCheck.py, MenuXDGCheck.py,
	Pkg.py, PostCheck.py, README, SourceCheck.py, SpecCheck.py,
	TagsCheck.py, ZipCheck.py, rpmdiff, rpmlint.py: Code cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1593
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-12  Ville Skyttä <ville.skytta@iki.fi>

	* README, config, rpmlint.1, rpmlint.py: Move default user config
	file to ~/.config/rpmlint per freedesktop.org base dir spec.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1592
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-06-12  Ville Skyttä <ville.skytta@iki.fi>

	* config: Comment spelling fix.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1591
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-05-31  Ville Skyttä <ville.skytta@iki.fi>

	* DistributionCheck.py: s/compressed-wth-lzma/compressed-with-lzma/,
	thanks to Mark Hall.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1590
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-05-30  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Improve usage message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1589
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-05-30  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Always append /usr/share/rpmlint to load path.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1588
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-05-30  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Add rpmdiff bash completion.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1587
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-05-30  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Sync with koji version by Florian Festi and Mike Bonnet
	(https://fedorahosted.org/koji/log/hub/rpmdiff) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1586
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-05-20  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Check for comparison operators in dependency tokens
	(#174).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1585
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Hack around a subsys parsing deficiency,
	https://bugzilla.redhat.com/498107 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1584
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Print expected init script names in
	incoherent-init-script-name output.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1583
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-04-21  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Don't output missing-PT_GNU_STACK-section
	messages if readelf failed.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1582
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-04-08  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Add check for debuginfo packages without sources.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1581
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-23  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Allow more common files to be non-readable
	(https://bugzilla.redhat.com/226412).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1580
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-23  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Revert relative symlink target normalization back
	to more aggressive.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1579
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-23  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, Config.py, ConfigCheck.py, FHSCheck.py,
	FilesCheck.py, I18NCheck.py, MenuCheck.py, Pkg.py, PostCheck.py,
	TagsCheck.py, rpmdiff: Code cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1578
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-23  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Do not check existence of relative link targets on
	the filesystem for consistency with absolute link target checks,
	improve dangling-*symlink info messages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1577
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-23  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, Pkg.py: Be a bit stricter when normalizing link
	targets, do it earlier.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1576
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-23  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, Pkg.py: Improve link target normalization in
	symlink checks.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1575
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: 0.87 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1574
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Avoid importing SpecCheck (and TagsCheck, FilesCheck
	etc by recursion) too early, causing config settings for them being
	ignored.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1573
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Speed up path based completion.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1572
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: 0.86 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1570
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Make "verify" target more useful.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1569
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-19  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: More spaces vs tabs improvements
	(https://bugzilla.redhat.com/488146#c6, Mattias Ellert) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1568
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-17  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Don't treat %verifyscript dependencies as 'pre' ones.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1567
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-17  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Drop obsolete backwards compatibility cruft.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1566
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-17  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, PostCheck.py: Add %verifyscript support.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1565
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-08  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Improve buildconfig_rpath_regex a bit more.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1564
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-08  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Try to catch more rpaths in *.pc and *-config.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1563
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-08  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Add check for rpaths in *.pc and *-config files
	(https://bugzilla.redhat.com/334414, based on patch from Milos
	Jakubicek) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1562
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-03-05  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Improve mixed tabs/spaces indentation check (Mattias
	Ellert, https://bugzilla.redhat.com/488146).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1561
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-28  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Work around spurious "No such file or dir" errors
	from rpm when querying specfiles, https://bugzilla.redhat.com/487855 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1560
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-28  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, INSTALL, Pkg.py: Use file magic info from rpm
	header and amend it with python-magic, include magic info in
	PkgFile.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1559
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-28  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Fix pkgfile.path for files in uninstalled (extracted)
	binary packages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1558
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-25  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Fix false positives caused by noarch subpackages,
	include (sub)package name in libdir-macro-in-noarch-package message
	(#175).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1557
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-25  Ville Skyttä <ville.skytta@iki.fi>

	* test/SpecCheck.spec, test/noarch-sub.spec, test/test.SpecCheck.py: 
	Include noarch subpackage test in SpecCheck test.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1556
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-25  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Ensure current_linenum is always defined in fake pkgs.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1555
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-19  Ville Skyttä <ville.skytta@iki.fi>

	* test/noarch-sub.spec: Test specfile for noarch subpackages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1554
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-15  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Dict iteration improvement.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1553
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-15  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Strip quotes from scriptlets before examining them
	(#169).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1552
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-12  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Walk given dirs recursively.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1551
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-12  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Improve temp dir creation and temp file/dir naming.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1550
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-12  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Run package cleanup handlers only once.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1549
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-10  Ville Skyttä <ville.skytta@iki.fi>

	* DocFilesCheck.py, INSTALL, Pkg.py, PostCheck.py, rpmlint.py: Drop
	support for rpm < 4.4.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1548
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-04  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Fix undefined variable.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1547
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-04  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Make only-non-binary-in-usr-lib false positives
	less likely, https://bugzilla.redhat.com/483199 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1546
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-04  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Downgrade only-non-binary-in-usr-lib to a
	warning, https://bugzilla.redhat.com/483199 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1545
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, BinariesCheck.py, MenuCheck.py: Cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1544
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, DocFilesCheck.py, FilesCheck.py, I18NCheck.py,
	InitScriptCheck.py, MenuCheck.py, Pkg.py, SourceCheck.py,
	SpecCheck.py, ZipCheck.py, rpmdiff: Represent files inside packages
	as PkgFile objects.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1543
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Make rpmdiff usable on installed packages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1542
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Always raise KeyError (instead of sometimes StopIteration)
	from InstalledPkg if not found by name.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1541
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* DocFilesCheck.py, test/test.DocFilesCheck.py: Move testing code
	out of DocFilesCheck.py.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1540
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, DocFilesCheck.py, Pkg.py: Move file dependencies
	to central files dict in Pkg.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1539
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, MenuCheck.py, MenuXDGCheck.py, Pkg.py,
	rpmlint.py: Unused variable, import cleanup.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1538
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Don't reuse variable 'link' in hardlink check,
	breaks in symlink check.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1537
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, FilesCheck.py, Pkg.py: Add cross directory hard
	link check (#171, Lubomir Rintel) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1536
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Comment/TODO update.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1535
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-30  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Python 2.4 compat fix for no os.SEEK_END (#172,
	Lubomir Rintel) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1534
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-30  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py: Move Config.info check outside of printDescriptions
	(#171, lkundrak at v3.sk) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1533
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-30  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, ConfigCheck.py, DistributionCheck.py,
	DocFilesCheck.py, FHSCheck.py, FilesCheck.py, Filter.py,
	I18NCheck.py, InitScriptCheck.py, LSBCheck.py, MenuCheck.py,
	MenuXDGCheck.py, NamingPolicyCheck.py, PamCheck.py, PostCheck.py,
	RpmFileCheck.py, SignatureCheck.py, SourceCheck.py, SpecCheck.py,
	TagsCheck.py, ZipCheck.py: Make sure details are available for -i
	also for early loaded check modules.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1532
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-30  Ville Skyttä <ville.skytta@iki.fi>

	* README, rpmlint.1: Add note about best check coverage.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1531
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-30  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Query specfiles using rpm to find syntax and other
	errors, https://bugzilla.redhat.com/483196 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1530
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-29  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Docstring update.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1529
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-29  Ville Skyttä <ville.skytta@iki.fi>

	* I18NCheck.py, TagsCheck.py: Use generators where appropriate.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1528
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-29  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Compile section regexps only once.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1527
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-28  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL: Fix indentation.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1526
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-28  Michael Scherer <misc@mandriva.org>

	* INSTALL: - update the requirement in INSTALL git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1525
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-28  Michael Scherer <misc@mandriva.org>

	* Pkg.py: - fix python 2.6 deprecation warning git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1524
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-27  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Cleanup fallout fixes.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1523
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-27  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, ConfigCheck.py, DistributionCheck.py,
	DocFilesCheck.py, FHSCheck.py, FilesCheck.py, I18NCheck.py,
	InitScriptCheck.py, LSBCheck.py, MenuCheck.py, MenuXDGCheck.py,
	NamingPolicyCheck.py, PamCheck.py, PostCheck.py, RpmFileCheck.py,
	SignatureCheck.py, SourceCheck.py, SpecCheck.py, TagsCheck.py,
	ZipCheck.py, rpmlint.py: Import fixes.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1522
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-27  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Downgrade missing-mandatory-lsb-keyword error
	to missing-lsb-keyword warning, add some recommended keywords (#71).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1521
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-27  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, DistributionCheck.py, FHSCheck.py,
	FilesCheck.py, InitScriptCheck.py, MenuCheck.py,
	NamingPolicyCheck.py, Pkg.py, PostCheck.py, SourceCheck.py,
	SpecCheck.py, TagsCheck.py, ZipCheck.py, rpmdiff: Dict access
	cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1520
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-27  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, I18NCheck.py, Pkg.py: Combine file langs into
	regular Pkg files list.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1519
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-26  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Treat *-headers as devel packages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1518
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-26  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, Config.py, DocFilesCheck.py, FHSCheck.py,
	FilesCheck.py, I18NCheck.py, MenuCheck.py, NamingPolicyCheck.py,
	Pkg.py, PostCheck.py, TagsCheck.py, rpmdiff: PEP 8, pylint,
	pychecker cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1517
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-26  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, BinariesCheck.py, Config.py, ConfigCheck.py,
	DistributionCheck.py, DocFilesCheck.py, FHSCheck.py, FilesCheck.py,
	Filter.py, I18NCheck.py, InitScriptCheck.py, LSBCheck.py,
	MenuCheck.py, MenuXDGCheck.py, NamingPolicyCheck.py, PamCheck.py,
	Pkg.py, PostCheck.py, RpmFileCheck.py, SignatureCheck.py,
	SourceCheck.py, SpecCheck.py, TagsCheck.py, ZipCheck.py,
	rpmlint.py, tools/Testing.py, tools/compile.py: Import cleanup (PEP
	8).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1516
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-26  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, rpmlint.1: Allow PACKAGE argument to be a glob(7) pattern.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1515
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-26  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: Document FILE and PACKAGE arguments.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1514
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-26  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Do not run SpecCheck on *.spec if the check is not
	enabled.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1513
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-26  Ville Skyttä <ville.skytta@iki.fi>

	* Config.py: Strip .py[co]? from check names to add.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1512
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-26  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, Config.py, rpmlint.py: Do not reset list of
	default checks to run if Config.addCheck() is used in config files.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1511
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-26  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: Mention that -c may be given multiple times.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1510
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-26  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Improve usage message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1509
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-23  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Fix exit status (to 1) when no arguments given.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1508
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-23  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, Filter.py, I18NCheck.py, PostCheck.py, rpmlint.py: 
	pychecker fixes.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1507
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-23  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, BinariesCheck.py, Config.py, ConfigCheck.py,
	DistributionCheck.py, DocFilesCheck.py, FHSCheck.py, FilesCheck.py,
	Filter.py, I18NCheck.py, InitScriptCheck.py, LSBCheck.py,
	MenuCheck.py, MenuXDGCheck.py, NamingPolicyCheck.py, PamCheck.py,
	Pkg.py, PostCheck.py, RpmFileCheck.py, SignatureCheck.py,
	SourceCheck.py, SpecCheck.py, TagsCheck.py, ZipCheck.py,
	rpmlint.py, test/test.PamCheck.py, test/test.SpecCheck.py,
	tools/Testing.py, tools/compile.py: Add utf-8 magic comments.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1506
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-23  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Use os.path.basename instead of a regexp.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1505
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-23  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, MenuCheck.py, TagsCheck.py: Drop unused regexps.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1504
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-23  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, SpecCheck.py: *_regex naming consistency fixes.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1503
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-23  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Recognize bzr internal files.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1502
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-23  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Add Enhances, Recommends, Suggests, Supplements to
	tag_regex.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1501
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-23  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Use os.path.basename instead of filename.split("/").  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1500
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-23  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Sync license list with OSI.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1499
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-23  Ville Skyttä <ville.skytta@iki.fi>

	* RpmFileCheck.py, ZipCheck.py: Fix spelling of my surname.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1498
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* ZipCheck.py: Use pkg.files() instead of pkg.getFilesInfo(),
	improve error message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1497
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, SpecCheck.py, TagsCheck.py, Util.py: Move default rpm
	groups loading to Pkg, call it only once.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1496
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1, rpmlint.py: Do not load/initialize checks more than
	once.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1495
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Simplify file_regex.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1494
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* README.devel: s/nbsp/ / git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1493
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* README.devel, rpmlint.1, rpmlint.py: Remove the -p option, use
	something like "python -O -u -m cProfile -s cumulative rpmlint.py
	..." for profiling instead.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1492
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Speed up reading trailing bytes from binaries.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1491
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-20  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Fix -a with rpm 4.6
	(https://bugzilla.redhat.com/480664, Panu Matilainen).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1490
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-14  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Complete on installed packages, dirs and
	*.rpm, *.spec only.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1489
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-14  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.bash-completion: Add *Emacs, vim and friends mode and
	indentation settings.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1488
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-14  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Avoid duplicate non-standard-group warnings when
	checking source packages (#167).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1487
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-14  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Match Group: case insensitively.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1486
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-14  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py, Makefile, Testing.py, compile.py, test.sh,
	tools/Testing.py, tools/compile.py: Move compile.py and Testing.py
	to tools/, do not require installation of Testing.py.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1485
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-14  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py, test/SpecCheck.spec, test/test.SpecCheck.py: Improve
	applied patch detection (#59, dmueller at suse.de), add test case.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1484
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-14  Ville Skyttä <ville.skytta@iki.fi>

	* Testing.py: Add getTestedSpecPackage().  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1483
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-14  Ville Skyttä <ville.skytta@iki.fi>

	* test.sh: Fix exit code on success.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1482
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-12  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py, TagsCheck.py, Util.py: add patch from akurtakov, to
	check the Group tag in spec files, close ticket #167 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1481
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2009-01-03  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Mention symlinks(8) in symlink-should-be-relative
	info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1480
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-11-23  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Add name-repeated-in-summary check.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1479
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-11-09  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py, DistributionCheck.py, FilesCheck.py,
	InitScriptCheck.py, MenuCheck.py, MenuXDGCheck.py,
	NamingPolicyCheck.py, PamCheck.py, SpecCheck.py, TagsCheck.py,
	rpmlint.py: Trim trailing whitespace.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1478
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-30  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, FilesCheck.py, Filter.py, MenuCheck.py: pylint
	whitespace cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1477
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-30  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Include filename in binaryinfo-readelf-failed
	and binaryinfo-tail-failed messages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1476
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, Config.py, ConfigCheck.py,
	DistributionCheck.py, DocFilesCheck.py, FHSCheck.py, FilesCheck.py,
	Filter.py, I18NCheck.py, InitScriptCheck.py, LSBCheck.py,
	MenuCheck.py, MenuXDGCheck.py, NamingPolicyCheck.py, PamCheck.py,
	Pkg.py, PostCheck.py, SignatureCheck.py, SourceCheck.py,
	SpecCheck.py, TagsCheck.py, ZipCheck.py, rpmdiff, rpmlint.py: pylint
	whitespace cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1475
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Improve non-package-related error message formatting.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1474
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Warn about %setup outside of %prep (#164, akurtakov
	at gmail.com).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1473
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* ZipCheck.py: Fix traceback when zip file does not exist (for
	example L10n jars in firefox with %_install_langs).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1472
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, FilesCheck.py, InitScriptCheck.py,
	MenuCheck.py, Pkg.py, SpecCheck.py, TagsCheck.py: Use string methods
	instead of deprecated string functions.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1471
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py: pylint cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1470
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py, Pkg.py: Drop no longer needed Python < 2.3 workarounds.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1469
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL, Pkg.py, PostCheck.py, README, Testing.py, rpmdiff,
	rpmlint.1, rpmlint.py: Use tempfile.gettempdir() instead of
	hardcoding /tmp, Python >= 2.3 is now required.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1468
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-29  Ville Skyttä <ville.skytta@iki.fi>

	* README, rpmlint.1, rpmlint.py: Load all /etc/rpmlint/*config as
	config files.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1467
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-23  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 0.85.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1466
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-23  Ville Skyttä <ville.skytta@iki.fi>

	* README, TagsCheck.py: Allow EVR in changelog without release
	extension, the extension is often a macro or otherwise dynamic.
	Also do not automatically add '$' to ReleaseExtension when compiling
	it as a regex - existing configurations should be reviewed and
	adjusted if necessary.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1465
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-23  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL, Makefile, rpmlint.1, rpmlint.bash-completion, rpmlint.py: 
	Drop defunct policy loading code and options (#163).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1464
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-23  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Improve file-not-utf8 info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1463
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-17  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Remove broken redundant-prefix-tag check (#160).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1462
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-17  Ville Skyttä <ville.skytta@iki.fi>

	* README: Fix indentation.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1461
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-15  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Make obsolete-not-provided info message more
	accurate.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1460
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-10-05  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Make invalid-version description more generic
	(#161).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1459
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-09-08  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Check for executables built with ocaml -custom,
	https://bugzilla.redhat.com/461434 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1458
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-09-07  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Fix lib package detection (most likely broken since
	section parsing was implemented).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1457
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-09-07  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Do tag related checks only within package sections.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1456
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-09-07  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Fix line number off by one in
	configure-without-libdir-spec, https://bugzilla.redhat.com/461421 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1455
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-09-02  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Rename useless-explicit-provides to
	useless-provides; "explicit" just adds potential confusion as all
	Provides are treated the same way.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1454
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-09-02  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Variable naming improvements, TODO for
	https://bugzilla.redhat.com/460872 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1453
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-08-21  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: - if we have only one spec file wrongly named, rpmlint will trigger
	"no-spec-file", instead of the proper error, and will not analyse
	the specfile git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1452
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-08-12  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Allow interpreters to be in arbitrary deep subdirs
	of /usr/libexec, /usr/lib(64)/*, /usr/share/*.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1451
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-08-12  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Recognize more library packages for the
	explicit-lib-dependency check.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1450
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-08-04  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Don't recompute nbsp for each line in spec.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1449
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-30  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Try to detect and warn about shared libraries
	that call exit() or _exit(), https://bugzilla.redhat.com/450011 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1448
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-30  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Kludge for dependency token parsing within multiline
	macro definitions, https://bugzilla.redhat.com/456843 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1447
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-30  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Fix false non-break-space positives for some UTF-8
	specfiles, https://bugzilla.redhat.com/455371 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1446
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-30  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py, rpmlint.py: Fix enabling of UTF-8 checks for
	specfile-only checks in UTF-8 mode.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1445
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-30  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Reduce duplicate regex searches.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1444
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-30  Michael Scherer <misc@mandriva.org>

	* Pkg.py: - lzma compressed file support git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1443
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-26  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 0.84.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1441
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-26  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Accept interpreters also in /usr/games,
	/usr/libexec, /usr/lib/*, /usr/lib64/*,
	https://bugzilla.redhat.com/355861 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1440
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-14  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: rpm.org 4.5+ compatibility fix (Panu Matilainen) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1439
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-09  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1, rpmlint.py: Drop warnings-only exit status 65 (#157).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1438
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-09  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Fix syntax error introduced in previous commit
	(#159), apply #158 also for pentium* and athlon.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1437
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-07-01  Michael Scherer <misc@mandriva.org>

	* BinariesCheck.py: do not complain for PT_GNU_STACK on non x86
	section, patch from dmueller, close bug #158 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1436
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-06-29  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: tabnnany fix git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1435
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Change *.so regex for symlinks to match files also
	in lib(64) subdirs, and lib*.so only to improve no-dependency-on and
	dangling-*symlink checks.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1434
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-06-15  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: as PreReq is deprecated on almost every rpm version
	out there ( ie > 4.2 ), we should count this as error to force
	people to fix their packages ( mandriva patch from thierry vignaud ) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1433
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-06-15  Michael Scherer <misc@mandriva.org>

	* Pkg.py: - add patch for rpm5 found in mandriva package, from peroyvind git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1432
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-05-27  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Release 0.83.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1430
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-05-27  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Downgrade non-standard-uid/gid errors to warnings,
	https://bugzilla.redhat.com/430206 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1429
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-05-22  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Make GPL and LGPL versioned in default valid license
	list (#144, peroyvind at mandriva.org).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1428
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-05-05  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Allow foo-devel require foo/foo-libs/libfoo (#154,
	mostly from dan at danny.cz).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1427
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* Config.py, Filter.py, README, rpmlint.1, rpmlint.py: Add badness
	scoring support (#70, vast majority of work by dmueller at suse.de).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1426
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Always print stats.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1425
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Cosmetic cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1424
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Output basic statistics before exiting.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1423
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1, rpmlint.py: Exit with non-zero status if
	errors/warnings printed (#128).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1422
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py: Count number of printed (== non-filtered) messages per
	category.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1421
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Output usage errors to stderr, improve messages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1420
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Avoid percent-in-%foo warnings for commented out
	lines (#149).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1419
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Don't warn about hidden files in /etc/skel (#151,
	dmueller at suse.de).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1418
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Fix section header regexps (#152, dmueller at
	suse.de).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1417
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Tighten ifarch and endif regexps.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1416
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-29  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Check for attributes in %files (#153, most of the
	work by dan at danny.cz).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1415
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Comment typo fix.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1414
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-03-24  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Improve non-break-space info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1413
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-03-24  Ville Skyttä <ville.skytta@iki.fi>

	* FHSCheck.py, FilesCheck.py, Filter.py, TagsCheck.py: Use
	textwrap.fill() to pretty print all info messages, not just a few
	special cases.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1412
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-03-24  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Minor -I output tweak.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1411
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-03-24  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Check for %{_libdir} and %{_lib} in noarch packages'
	%files, https://bugzilla.redhat.com/237204 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1410
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-03-21  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: add a check for non-break space, asked on mandriva
	bugzilla 39094 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1409
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-03-04  Ville Skyttä <ville.skytta@iki.fi>

	* ZipCheck.py: Do not issue errors for jars without manifests;
	META-INF/* are optional in them:
	http://java.sun.com/j2se/1.4/docs/guide/jar/jar.html git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1408
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-03-01  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, README: Add SkipDocsRegexp config parameter for
	skipping end of line and UTF-8 tests for doc files, include RTF,
	HTML, and OCaml files in it by default,
	https://bugzilla.redhat.com/434694 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1407
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-03-01  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Issue end-of-line warnings for Mac style end of
	line delimiters.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1406
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-02-29  Ville Skyttä <ville.skytta@iki.fi>

	* ZipCheck.py: s/MANIFEST/MANIFEST.MF/ in relevant info messages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1405
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-02-26  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: - check the main specfile ,not the first one, see Mandriva bug 38157 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1404
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-02-23  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Downgrade configure-without-libdir-spec into a
	warning and improve info message; not all configure scripts support
	or need %{_libdir}, https://bugzilla.redhat.com/433783 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1403
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-02-23  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Excempt ocaml packages from
	only-non-binary-in-usr-lib check, https://bugzilla.redhat.com/433783 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1402
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-02-21  Ville Skyttä <ville.skytta@iki.fi>

	* NamingPolicyCheck.py: Spelling fix.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1401
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-02-21  Ville Skyttä <ville.skytta@iki.fi>

	* NamingPolicyCheck.py: Improve info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1400
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-02-21  Ville Skyttä <ville.skytta@iki.fi>

	* NamingPolicyCheck.py: Allow "base" packages to satisfy checks in
	addition to subpackages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1399
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-02-21  Ville Skyttä <ville.skytta@iki.fi>

	* NamingPolicyCheck.py: Check lib64 dirs in addition to lib.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1398
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-02-09  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Do changelog version checks for source rpms too.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1397
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Improve executable-stack explanation.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1396
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-01-29  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Check for presence of PT_GNU_STACK and
	executable stack (https://bugzilla.redhat.com/428096, messages from
	lintian).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1395
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-01-29  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Code cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1394
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2008-01-25  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Apply license check improvements from Fedora per
	Mandriva's request, more info:
	http://fedoraproject.org/wiki/Packaging/LicensingGuidelines git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1393
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-12-23  Michael Scherer <misc@mandriva.org>

	* FilesCheck.py: add lzma to the list of compression extension git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1392
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-12-23  Michael Scherer <misc@mandriva.org>

	* DistributionCheck.py: - check manpages compressed with lzma, asked by lzma lover dvalin :)
	( and blino@mandriva ) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1391
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-12-06  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Improve kernel module depmod regex.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1390
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-12-06  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: 0.82 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1388
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-12-06  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Don't lose version flags of prereq dependencies (part of
	#123, dmueller at suse.de) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1387
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-11-30  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Avoid false positives for percent-in-* checks, macro
	names are at least 3 chars long (#132, anonymous) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1386
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-11-27  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, TagsCheck.py: Fix UTF-8 line length calculations,
	https://bugzilla.redhat.com/399871 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1385
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-11-17  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: ...  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1384
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-11-17  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: Note that rpmlint does not have a full featured spec
	file parser.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1383
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-11-05  Ville Skyttä <ville.skytta@iki.fi>

	* I18NCheck.py: Fix webapp detection (#122, dmueller at suse.de) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1382
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-10-08  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Don't think that a service is enabled by
	default if it contains LSB Default-Start: with empty value.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1381
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-09-19  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Include both actual and expected filenames in
	non-coherent-filename message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1380
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-09-13  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Skip end-of-line char and UTF-8 checks for RTF and
	HTML files.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1379
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-09-03  Ville Skyttä <ville.skytta@iki.fi>

	* I18NCheck.py: subfile-not-in-%lang fix (pixel at mandriva.com) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1376
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-09-03  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: 0.81 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1374
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-29  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, INSTALL: Use readelf instead of objdump for
	binary checks (#83, dmueller at suse.de).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1373
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-29  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Unbreak info messages for checks added in previous
	revision.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1372
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-29  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Use generator objects when iterating over files
	(#83, dmueller at suse.de) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1371
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-29  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Check for percent chars in dependency (#75, dmueller
	at suse.de), obsoletes, provides and conflicts versions.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1370
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-24  Michael Scherer <misc@mandriva.org>

	* I18NCheck.py: - patch from pixel, for directory marked as %lang when the files or
	subdirectory are not git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1369
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-24  Michael Scherer <misc@mandriva.org>

	* test/test.PamCheck.py: fix test git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1368
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-20  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Check spec files too when processing directories.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1367
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-12  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, PostCheck.py: Do not warn about ghost file non-creation
	for missingok files (#79, dmueller at suse.de) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1366
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-12  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Drop unused dynsyms stuff (#83, dmueller at
	suse.de) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1365
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-12  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: grep() speedup (#80, dmueller at suse.de) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1364
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-11  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Symlinking a *.so to another *.so does not make it
	a devel symlink (#78, dmueller at suse.de) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1363
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-08-11  Ville Skyttä <ville.skytta@iki.fi>

	* DistributionCheck.py: Improve man page dir regex (#76) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1362
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-07-31  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Comment typo fix.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1361
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-07-31  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: 2007 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1360
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-07-24  Michael Scherer <misc@mandriva.org>

	* PostCheck.py: - lua is a valid shell, fix #74, patch from dmueller git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1359
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-07-20  Ville Skyttä <ville.skytta@iki.fi>

	* I18NCheck.py: Add "bn_IN" (#72, sankarshan.mukhopadhyay at
	gmail.com), "my", and "si" to list of valid locale subdirs.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1358
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-06-24  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: LSB comment blocks have keywords, not tags.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1357
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-06-20  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Tolerate nonexistent current dir,
	https://bugzilla.redhat.com/244835 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1356
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-06-06  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Avoid outputting useless line numbers (alcapcom at
	gmail.com).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1355
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-06-02  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Ignore filename case when looking for include
	files.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1354
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-06-02  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Improve OCaml devel file handling,
	https://bugzilla.redhat.com/241471 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1353
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-31  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Add filename and info for missing mandatory
	LSB tag check (#67, dmueller at suse.de) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1352
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-31  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Don't choke on trailing commas in deptokens() (#65,
	dmueller at suse.de) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1351
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-26  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Treat *.cxx, *.cpp, *.hxx and *.hpp as include
	files.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1350
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-14  Ville Skyttä <ville.skytta@iki.fi>

	* Filter.py, Pkg.py, SpecCheck.py, rpmlint.1, rpmlint.py: Add direct
	specfile checking, error line numbers (#60, alcapcom at gmail.com).
	Also modify error output format for editor parseability (mostly
	useful for specfile checks), and include package architectures in
	output.  NOTE: locally installed filters should be reviewed against the new
	output format and ported to it if needed.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1349
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-14  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, FilesCheck.py, Pkg.py, TagsCheck.py: Carry
	package arch around in pkg object.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1348
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-13  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Even more fallout from previous change.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1347
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-13  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: More fallout from previous change.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1346
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-13  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Fix fallout from previous change.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1345
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-13  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, InitScriptCheck.py, Pkg.py, PostCheck.py,
	SpecCheck.py, TagsCheck.py: Better I/O error and temporary file
	handling.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1344
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-13  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Check doc text files for UTF-8.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1343
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-12  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Remove unused/deprecated loadFile().  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1342
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-12  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Better file I/O error handling.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1341
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-12  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Improve patch related regexps.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1340
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-12  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Check %pretrans and %posttrans if supported by
	installed rpm.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1339
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-12  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Improve percent-in-* check,
	https://bugzilla.redhat.com/239611 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1338
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-07  Ville Skyttä <ville.skytta@iki.fi>

	* MenuXDGCheck.py: Fix path to failing .desktop file in output (#61,
	dmueller at suse.de) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1337
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-05-07  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Accept LSB keywords starting with X- (#62,
	dmueller at suse.de) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1336
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-04-12  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: 0.80 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1334
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-04-12  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Improve valid *.so regexp.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1333
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-04-06  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Don't require soname to start with 'lib' as long
	as *.so that do not start with 'lib' are checked.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1332
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-04-05  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Fail gracefully on unreadable files, eg.
	dangling symlinks.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1331
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-26  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Check %description contents for things that look
	like tags.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1330
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-25  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Check LSB Default-Start too when checking if
	service is enabled by default, bugzilla.redhat.com/233795 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1329
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-15  Ville Skyttä <ville.skytta@iki.fi>

	* AbstractCheck.py: Autoregister checks only once (by name) so
	checks (and configs) can import each other without resulting in
	multiple instances of a particular check being run.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1328
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-15  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Check for UTF-8 encoded filenames.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1327
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-15  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL, Pkg.py, README: Implement is_utf8_str without iconv;
	Python >= 2.2 is now required.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1326
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-13  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Change obsolete-not-provided into a warning and
	improve description.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1325
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-10  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Allow hardcoded /lib in /lib/firmware.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1324
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-10  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Fix devel to base package dependency check broken
	in [1317] git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1323
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-07  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Allow tabs and be as relaxed as chkconfig
	itself with whitespace in chkconfig regex.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1322
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-06  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Fix variable scoping/indentation issue introduced
	in [1319].  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1321
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-02  Michael Scherer <misc@mandriva.org>

	* FilesCheck.py: oops, fix typo spotted by guillomovitch git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1320
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-03-02  Michael Scherer <misc@mandriva.org>

	* FilesCheck.py: - check cron file, see http://qa.mandriva.com/show_bug.cgi?id=23951 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1319
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-02-25  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Treat *-static as devel packages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1318
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-02-25  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Use devel package regexp from FilesCheck.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1317
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-02-17  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Fix LSB multiline description parsing (#52).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1316
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-02-17  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: unknow-lsb-tag -> unknown-lsb-tag git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1315
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-02-17  Ville Skyttä <ville.skytta@iki.fi>

	* DocFilesCheck.py: Fix for rpm-python < 4.3.2 (#53).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1314
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-02-16  Ville Skyttä <ville.skytta@iki.fi>

	* MenuCheck.py, TagsCheck.py: Improve capitalization checks,
	https://bugzilla.redhat.com/228645 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1313
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-02-05  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Don't warn about missing -q to %setup if there's a
	-T without -a or -b, https://bugzilla.redhat.com/227389 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1312
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-02-02  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: 0.79.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1310
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-02-02  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Fix test target.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1309
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-02-01  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Treat Ocaml *.cmx and *.cmxa as arch dependent
	binaries, https://bugzilla.redhat.com/226879 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1308
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-01-28  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Check for unused direct shared lib deps,
	inspired by

	http://www.redhat.com/archives/fedora-maintainers/2006-June/msg00176.htmlgit-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1307
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-01-25  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Avoid spewing both spurious-executable and
	script-without-shebang warnings for one file.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1306
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-01-24  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Check for usual spurious executable bits,
	https://bugzilla.redhat.com/222585 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1305
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-01-02  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Don't do end-of-line checks on RTF files,
	https://bugzilla.redhat.com/220061 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1304
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2007-01-02  Ville Skyttä <ville.skytta@iki.fi>

	* MenuXDGCheck.py: Use Pkg.getstatusoutput instead of
	subprocess.call for Python < 2.4 compat,
	http://bugzilla.redhat.com/221116 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1303
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-12-18  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Treat PDF files always as binary,
	https://bugzilla.redhat.com/220061 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1302
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-12-18  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Use floating point division in istextfile().  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1301
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-12-10  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Check for > 1 %changelog sections,
	http://bugzilla.redhat.com/219068 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1300
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-12-04  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Spelling fixes (Bernard Johnson,
	https://bugzilla.redhat.com/218250) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1299
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-12-03  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Improve PreReq and broken context marked dep syntax
	regexps and descriptions.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1298
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-11-23  Ville Skyttä <ville.skytta@iki.fi>

	* README: Don't hardcode InvalidRequires default, fix up
	indentation.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1297
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-11-23  Ville Skyttä <ville.skytta@iki.fi>

	* README: InvalidRequires is a list of regexps, not strings.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1296
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-11-13  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Add Creative Commons licenses,
	https://bugzilla.redhat.com/211417 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1295
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-11-08  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Fine tune forbidden-selinux-command info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1294
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-11-08  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Check for forbidden SELinux related commands (Steve
	Grubb, https://bugzilla.redhat.com/214605) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1293
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-11-08  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Drop some duplicate code.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1292
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-10-28  Ville Skyttä <ville.skytta@iki.fi>

	* I18NCheck.py: Allow 3-letter language codes in locale subdirs
	(Dave Lehman, https://bugzilla.redhat.com/212491).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1291
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-10-19  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Skip non-PIC check if objdump failed.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1290
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-10-13  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Don't run ldd on ar archives,
	https://bugzilla.redhat.com/210110 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1289
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-10-11  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Try to avoid infinite recursion in shell variable
	expansion https://bugzilla.redhat.com/210261 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1288
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-10-11  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Add start boundary to shell variable assignment regexp
	https://bugzilla.redhat.com/210261 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1287
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-10-11  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Fix regression introduced in [1242]: shell
	variable expansion needs the whole file to be passed to it, not just
	the current line being examined https://bugzilla.redhat.com/210261 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1286
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-10-10  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Don't crash in istextfile() if reading fails, eg.
	https://bugzilla.redhat.com/209876 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1285
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-10-10  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, I18NCheck.py, TagsCheck.py: Don't assume all
	packages have a source rpm or i18n table, eg. gpg-pubkeys don't;
	https://bugzilla.redhat.com/209889 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1284
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-10-10  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Only try to check rpm files when given a directory.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1283
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-10-10  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Don't run main() when importing rpmlint.py, makes eg.
	pychecker happier (#48).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1282
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-23  Ville Skyttä <ville.skytta@iki.fi>

	* MenuXDGCheck.py, PamCheck.py, Testing.py: Add editor indentation
	settings.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1281
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-23  Michael Scherer <misc@mandriva.org>

	* Makefile: tag 0.78 in Makefile git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1279
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-23  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: - some refactoring git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1278
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-22  Michael Scherer <misc@mandriva.org>

	* test/test.PamCheck.py: - fix test git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1277
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-14  Ville Skyttä <ville.skytta@iki.fi>

	* INSTALL: Python >= 2.0 required for popen4.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1276
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-14  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, MenuCheck.py, Pkg.py, PostCheck.py: Use sequence
	based command invocation more; avoids shell escaping/whitespace
	issues eg. like https://bugzilla.redhat.com/206383 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1275
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-14  Ville Skyttä <ville.skytta@iki.fi>

	* I18NCheck.py: sw is valid for Swahili, don't treat is as
	misspelled Swedish.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1274
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-09  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Take escaping into account when finding buildroot
	strings, fixes #47.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1273
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-09  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Say which section lacks cleanup in
	no-cleaning-of-buildroot.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1272
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-03  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Recognize GIT and Mercurial "SCM internal" files.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1271
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-03  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, InitScriptCheck.py, PamCheck.py: More literal dot
	in regexp escaping.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1270
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-03  Ville Skyttä <ville.skytta@iki.fi>

	* DistributionCheck.py: Drop unused regexps.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1269
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-09-03  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Check for unversioned Provides/Obsoletes in
	specfiles.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1268
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-30  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Distinguish between sourced and executed scripts
	(Guillaume Rousse, #17).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1267
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-30  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Add comment about *.pm shebang (initially from #17) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1266
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-30  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: s/shellbang/shebang/ (part of #17) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1265
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-29  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Escape literal dots in regexps.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1264
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-29  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Don't demand executable scripts in /etc/profile.d;
	cf. https://bugzilla.redhat.com/35714 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1263
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-26  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Allow init scripts with package name + 'd'.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1262
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-26  Ville Skyttä <ville.skytta@iki.fi>

	* PamCheck.py: Use Pkg.grep, output line numbers; fixes #38.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1261
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-26  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Improve invalid dir reference regexp, compile it
	only once.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1260
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-26  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, MenuCheck.py, Pkg.py: Make Pkg.grep more robust,
	change to instance method, return matching line numbers.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1259
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-25  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Tone down invalid-license message a bit.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1258
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-25  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Add no-url-tag description (duh).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1257
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-24  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Improve broken scriptlet dep regex.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1256
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-08-24  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Check broken scriptlet dep syntax only in the
	"package" section (Pascal Terjan, #42).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1255
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-31  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Check for world writable files and dirs.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1254
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-25  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py, SpecCheck.py: Add some TODO comments.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1253
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-14  Michael Scherer <misc@mandriva.org>

	* PostCheck.py: - add Xdg menu directory to %updates-menus detection git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1252
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-14  Michael Scherer <misc@mandriva.org>

	* MenuXDGCheck.py: - really fix the call to desktop-file-validate git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1251
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-14  Michael Scherer <misc@mandriva.org>

	* MenuXDGCheck.py: - fix the check git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1250
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-12  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Catch macroized %{__make} etc in make check regexp,
	and ignore all of it in %description too.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1249
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-12  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Use zlib/libpng, not zlib for that license to follow
	the OSI list (bugzilla.redhat.com/198616).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1248
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-11  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Improve error messages, fix checking dirs containing
	packages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1247
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-10  Ville Skyttä <ville.skytta@iki.fi>

	* Config.py, README: Add removeFilter() for removing filters from
	the config, useful eg. in per-user config files for restoring
	filters added in system config files.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1246
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-09  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: do not complaint if %changelog contains a line like
	: - move the make test to %%check bug reported by vincent danen git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1245
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-07  Michael Scherer <misc@mandriva.org>

	* MenuXDGCheck.py: add non-utf8-desktopfile check, for [30] git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1244
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-07  Michael Scherer <misc@mandriva.org>

	* InitScriptCheck.py:  r1045@crovax:  misc | 2006-07-07 00:37:01 +0200  Lsb tags checking git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1243
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-07  Michael Scherer <misc@mandriva.org>

	* InitScriptCheck.py:  r1044@crovax:  misc | 2006-07-06 23:48:30 +0200  - check the script line by line, needed to check Lsb init tags git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1242
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Allow EVR also in the first line of the changelog
	text, based on a patch from Thomas Vander Stichele (#23).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1241
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* I18NCheck.py, MenuXDGCheck.py, SourceCheck.py, SpecCheck.py: merge git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1240
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py:  r1034@crovax:  misc | 2006-07-06 16:41:03 +0200  - replace regexp by simple search git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1239
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* DistributionCheck.py:  r1033@crovax:  misc | 2006-07-06 16:37:03 +0200  - remove regexp, use simple search git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1238
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* MenuCheck.py:  r1032@crovax:  misc | 2006-07-06 16:33:22 +0200  - remove uneeded import git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1237
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* FilesCheck.py:  r1031@crovax:  misc | 2006-07-06 16:32:38 +0200  - do not use regexp when we can use a single search git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1236
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* : git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1235
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* FHSCheck.py:  r1018@mallarme:  misc | 2006-07-06 01:14:07 +0200  - do not use regexp when we can avoid them, in order to use less
	 memory and be faster.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1233
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* Config.py, MenuXDGCheck.py:  r1017@mallarme:  misc | 2006-07-06 01:02:24 +0200  - start MenuXDGCheck, for now, it just run desktop-file-validate on
	 every file, maybe i should restrict more git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1232
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* Pkg.py:  r1016@mallarme:  misc | 2006-07-06 00:06:39 +0200  - pychecker fix, do not mask builtins git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1231
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* FilesCheck.py, MenuCheck.py:  r1015@mallarme:  misc | 2006-07-06 00:00:31 +0200  - pychecker fix git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1230
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* test.sh:  r1014@mallarme:  misc | 2006-07-05 23:57:46 +0200  - improve test.sh, exit when a test fail, and try to launch rpmlint
	 ( basic syntax checking ) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1229
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* FilesCheck.py:  r1013@mallarme:  misc | 2006-07-05 23:20:12 +0200  - pychecker fix, erase idx as this is also used in Filter.py git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1228
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-06  Michael Scherer <misc@mandriva.org>

	* InitScriptCheck.py:  r1012@mallarme:  misc | 2006-07-05 23:17:56 +0200  - better variable name, fix pychecker warning git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1227
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-05  Michael Scherer <misc@mandriva.org>

	* NamingPolicyCheck.py: - revert [910], fix bug #18 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1226
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-05  Michael Scherer <misc@mandriva.org>

	* PamCheck.py: - fix bug #33, by removing comment from pam files git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1225
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-07-05  Michael Scherer <misc@mandriva.org>

	* Filter.py, Makefile, Testing.py, test.sh, test/test.PamCheck.py: - start of testing infrastructure git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1224
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-30  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Improve home regex.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1223
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-30  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Improve dangerous command regexp.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1222
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-29  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Add line numbers to mixed-use-of-spaces-and-tabs
	warning (#28).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1221
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-29  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Don't fail if the GROUPS file is not found (eg. rpm
	installed with --excludedocs).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1220
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-29  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Improve incoherent-version-in-changelog description.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1219
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-29  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Check that %prep, %build and %install exist, even if
	empty: https://bugzilla.redhat.com/192422 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1218
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-28  Michael Scherer <misc@mandriva.org>

	* Makefile: preparing for release git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1216
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-28  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Fix error message output when loading a system config
	file fails.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1215
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-28  Michael Scherer <misc@mandriva.org>

	* rpmlint.py: - give error message about config file loading failure, and give the
	correct file that failed.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1214
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-28  Michael Scherer <misc@mandriva.org>

	* PostCheck.py, TagsCheck.py, rpmlint.py: - pychecker fix git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1213
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-28  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Use default standard users/groups from LSB.
	Distributors may want to customize StandardUsers/StandardGroups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1212
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-28  Ville Skyttä <ville.skytta@iki.fi>

	* Config.py, setuplist.py: Remove dead code.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1211
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-28  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Don't hardcode lists of standard users/groups in
	error messages, use configured ones instead.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1210
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-28  Ville Skyttä <ville.skytta@iki.fi>

	* README: Typo fixes.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1209
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-26  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Remove single-percent-in-changelog; it's already
	covered by macro-in-%changelog (#27).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1208
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-22  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py, README: Always prefer relative symlinks by default
	(#25), the new configuration option UseRelativeSymlinks can be set
	to 0 to restore the old behaviour.  Also add a tiny description for
	symlink-should-be-relative.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1207
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-22  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Sort list of standard dirs, add /, /media,
	/selinux, /srv, /sys, and /usr/local/share*.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1206
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-22  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Add check for mixed use of spaces and tabs in
	specfiles (#19).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1205
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-22  Michael Scherer <misc@mandriva.org>

	* AbstractCheck.py, BinariesCheck.py, Config.py, DocFilesCheck.py,
	FHSCheck.py, I18NCheck.py, MenuCheck.py, NamingPolicyCheck.py,
	PostCheck.py, ZipCheck.py: - remove pychecker errors:   - unused variable   - variable that shadow builtins   - unused expression ( usually used to trigger a exception )   - do not raise string as exception git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1204
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-22  Michael Scherer <misc@mandriva.org>

	* PamCheck.py, RpmFileCheck.py, SpecCheck.py: - fix pychecker warning, notably a missing regexp in commit [1201] git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1203
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-21  Michael Scherer <misc@mandriva.org>

	* MenuCheck.py: add non-xdg-migrated-menu, patch from frederic
	crozat, closes #21 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1202
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-21  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: add a check for macro in %changelog git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1201
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-20  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py: Adapt rpm >= 4.2 and source package detection to rpm 4.4.x
	(x=6?) versions which no longer have RPMTAG_SOURCEPACKAGE.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1200
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-15  Ville Skyttä <ville.skytta@iki.fi>

	* DocFilesCheck.py: Revert previous change; the order of filenames
	and their deps needs to be in sync.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1199
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-15  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Warn if __find_(provides|requires) is defined
	without disabling the internal dependency generator.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1198
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-15  Ville Skyttä <ville.skytta@iki.fi>

	* DistributionCheck.py, DocFilesCheck.py, FilesCheck.py,
	I18NCheck.py, InitScriptCheck.py, LSBCheck.py, MenuCheck.py,
	NamingPolicyCheck.py, Pkg.py, SpecCheck.py, TagsCheck.py: Cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1197
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-15  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Include filename in ldd failure warning.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1196
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-10  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Make name of file system base package a bit less
	hardcoded, allow multiple.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1195
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-08  Ville Skyttä <ville.skytta@iki.fi>

	* InitScriptCheck.py: Improve subsys regexp, fixes
	bugzilla.redhat.com/194466.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1194
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-06  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Fix fallout from [1183].  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1193
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* Pkg.py, rpmlint.py: Check all matching installed packages, not
	only the first (for multiarch systems and/or multi-version
	packages).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1192
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Fix setting ExtractDir in config files.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1191
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: 2006.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1190
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.py: Use execfile() for loading conf files, fixes #20.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1189
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Really bypass checks on section markers.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1188
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Catch redundant prefix specified as %_prefix
	(without curlies).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1187
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Add check for macros in %changelog.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1186
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Don't bother running checks against section marker
	lines.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1185
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Tighten section marker regexp.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1184
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* PostCheck.py: Make sure that the correct interpreter is used for
	scriptlet syntax checks.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1183
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Base doc file decisions on whether a file is marked
	as doc, not a regexp heuristic.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1182
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-06-04  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Do not hardcode lib*-devel no-documentation warning
	suppression.  It would work only for specific package naming
	schemes, and even in the cases where it works, it can be argued that
	it's of dubious usefulness.  Configurable filters according to
	distro policies are a better way to handle cases like this.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1181
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-19  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Check that debuginfo packages contain files.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1180
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-16  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Print what's wrong if getopt fails.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1179
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-16  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Add -h/--help.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1178
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-16  Ville Skyttä <ville.skytta@iki.fi>

	* rpmdiff: Add option to ignore file timestamps, thanks to Matt
	Domsch.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1177
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-13  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Tolerate macroized "rm" in buildroot cleaning check.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1176
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-13  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Wrap info message lines at < 80 chars.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1175
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-13  Ville Skyttä <ville.skytta@iki.fi>

	* SpecCheck.py: Fix build root regexp.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1174
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-13  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: add make-check-outside-check-section, close #14.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1173
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-13  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: add rpm-buildroot-usage, close ticket #15.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1172
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-13  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: - add no-cleaning-of-buildroot check, to be sure that $BUILDROOT is
	cleaned, as this will leave old files, and break in funny way when
	files are removed from package, etc.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1171
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-13  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Check for undefined non-weak symbols (shared
	libs in installed pkgs only).  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1170
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-12  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: add setup-not-quiet, to check if %setup -q is used git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1169
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-12  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: - use a variable to hold the current esection, as it will help to
	detect if some macros are misused, and as it unify the handling of
	the section git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1168
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-12  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: avoid using useless temporary variables if not
	needed git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1167
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-12  Michael Scherer <misc@mandriva.org>

	* SpecCheck.py: - style fix, i cannot really stand foo=bar as this is less readable
	than foo = bar, but a real tool should be used to do that.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1166
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-08  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Drop unused la-file-with-invalid-dir-reference
	info message.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1165
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-08  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Add Development/Debug into default groups, many
	distros use it in -debug(info) packages but do not have it in
	GROUPS.  While at it, sort the list and close the GROUPS file
	explicitly.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1164
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-08  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: OPL is ambiguous, do not use it.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1163
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-08  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Bring list of licenses up to date with OSI, add a
	couple of other common (mainly non-software) licenses.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1162
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-04  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Make *.so regexp stricter.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1161
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-04  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py: Update ld.so filename regexp for x86_64.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1160
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-05-03  Ville Skyttä <ville.skytta@iki.fi>

	* BinariesCheck.py, FilesCheck.py: Don't tell people to bother
	flepied about distro config issues.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1159
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-28  Michael Scherer <misc@mandriva.org>

	* AbstractCheck.py, PamCheck.py: - create a new class AbstractFilesCheck to factorise the code that
	filter and extract files based on a regexp.  this class is now used
	for PamCheck.py, and other similar check will be converted soon.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1158
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-28  Michael Scherer <misc@mandriva.org>

	* RpmFileCheck.py: - fix error caused by unterminated string.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1157
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-15  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Allow bundling depmod arguments in kernel module
	post(un)install scriptlets.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1156
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-14  Michael Scherer <misc@mandriva.org>

	* RpmFileCheck.py: add svn keywords and copyright notice to
	RpmFileCheck.py git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1155
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-14  Michael Scherer <misc@mandriva.org>

	* FilesCheck.py: remove setuid-gid-binary error, as we already have
	setuid-binary and setgid-binary, and remove Fred email address from
	the detailed explication, as this is no longer used, and not generic
	enough.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1154
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-14  Michael Scherer <misc@mandriva.org>

	* FilesCheck.py, I18NCheck.py: remove all reference to
	/etc/httpd/webapps.d, fix bug #8 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1153
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-14  Ville Skyttä <ville.skytta@iki.fi>

	* RpmFileCheck.py: Make info message wrap with < 80 char lines.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1152
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-13  Michael Scherer <misc@mandriva.org>

	* Config.py, README, RpmFileCheck.py: add RpmFileCheck, to test the
	rpm file itself, for the moment, only check the length of the
	filename, close ticket #9 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1151
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: Bump month.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1150
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: Mention /usr/share/rpmlint/config.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1149
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* rpmlint.1: Mention AUTHORS.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1148
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* FilesCheck.py: Treat *-debug(info) as devel packages.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1147
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Produce prettier and more concise ChangeLog.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1146
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Fix AUTHORS and ChangeLog up to date checks.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1145
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: List valid groups in non-standard-group info.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1144
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Don't hardcode valid license list in invalid-license
	info.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1143
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* TagsCheck.py: Avoid empty strings in list from
	get_default_valid_rpmgroups().  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1142
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-10  Michael Scherer <misc@mandriva.org>

	* Makefile: for some reason, svn messages do not have space at the
	same place for french locales and C locales : [misc@takara rpmlint] $ svn info . | grep URL URL :
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk
	[misc@takara rpmlint] $ LC_ALL=C svn info . | grep URL URL:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk (note 'URL:' vs 'URL :') so, running make tag do not work on my computer, using sed instead
	of cut did the trick.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1140
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-08  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Clean up AUTHORS too.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1139
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-08  Ville Skyttä <ville.skytta@iki.fi>

	* AUTHORS, Makefile, authors.xsl: Generate AUTHORS from authors.xml.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1138
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-08  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: More target dependency fixes and cleanups.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1137
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-08  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Fix localcopy/tar dependencies.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1136
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-08  Ville Skyttä <ville.skytta@iki.fi>

	* Makefile: Don't require trailing slash for ETCDIR.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1135
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-05  Michael Scherer <misc@mandriva.org>

	* check-install.py: Not used by rpmlint, broken on latest rpm python
	binding git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1134
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-05  Michael Scherer <misc@mandriva.org>

	* Config.py, PamCheck.py: add use-old-pam-stack check git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1133
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-05  Michael Scherer <misc@mandriva.org>

	* README: update default values for configuration option git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1132
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-05  Michael Scherer <misc@mandriva.org>

	* Config.py: automatically transform filter regexp using () into
	regexp without named group, to prevent overflow, as it seems to be
	limited to 100 for this version of python.  It may also reduce
	memory usage.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1131
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-05  Michael Scherer <misc@mandriva.org>

	* FilesCheck.py, README: add a option StandardUsers and
	StandardGroups, for uid checking git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1130
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-05  Michael Scherer <misc@mandriva.org>

	* MenuCheck.py: place DEFAULT_LAUNCHERS here, as it was removed by
	last Config.py cleaning git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1129
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-04  Michael Scherer <misc@mandriva.org>

	* Config.py: remove all exceptions, they should be placed in another
	file ( it's up to each packager to provides it ) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1128
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-04  Michael Scherer <misc@mandriva.org>

	* Makefile: use do not override ETCDIR in Makefile, as it misplaces
	bash completion, and make package relocation difficult.  git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1127
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-04  Michael Scherer <misc@mandriva.org>

	* Makefile: shebang line of ./compile.py was broken on my computer :
	[misc@n1 rpmlint-0.76] $ make ./compile.py "/usr/share/rpmlint/"
	[A-Z]*.py Unknown option: - usage: /usr/bin/python [option] ... [-c
	cmd | -m mod | file | -] [arg] ...  Try `python -h' for more
	information.  make: *** [all] Erreur 2 git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1126
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-04  Michael Scherer <misc@mandriva.org>

	* rpmlint.py: add another configuration file for packager  /usr/share/rpmlint/config is used by packager, to set package wide
	   policy, etc, and should not be modified by users  /etc/rpmlint/config is used to set a configuration for a specific
	   host, and should be marked as %config(noreplace) in rpm git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1125
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-04  Michael Scherer <misc@mandriva.org>

	* Makefile: tar target requires dir target, as it use the directory
	created before git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1124
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-04  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py: do not trigger description-use-invalid-word and
	summary-use-invalid-word if ForbiddenWords is empty ( default value
	) git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1123
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-04  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py: use rpm package default group, taken from file
	GROUPS git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1122
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-03  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py: do not hardcode "mandrake" forbidden word in code git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1121
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-03  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py: oops, seems i forget to remove last occurence of
	DEFAULT_PACKAGER git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1120
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-02  Michael Scherer <misc@mandriva.org>

	* DistributionCheck.py, TagsCheck.py: use default empty value for
	Distribution and Vendor git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1119
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-02  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py: remove mandriva domain from check details git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1118
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-02  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py: no default value for release extension git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1117
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-02  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py: remove mandriva default value for
	valid_buildhost_regex git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1116
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-02  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py: remove useless constant DEFAULT_PACKAGER, as we now
	have default empty value for getOption git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1115
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-02  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py: do not hardcode mandrake forbidden word in url git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1114
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-02  Michael Scherer <misc@mandriva.org>

	* Config.py: add default empty value for getOption git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1113
	9bc8b190-ac0f-0410-8968-dc7d1f502856

2006-04-02  Michael Scherer <misc@mandriva.org>

	* TagsCheck.py: do not hardcode mandriva email address in code git-svn-id:
	svn+ssh://rpmlint.zarb.org/home/projects/rpmlint/svn/trunk@1112
	9bc8b190-ac0f-0410-8968-dc7d1f502856

